imported brians code
[nestedvm.git] / upstream / patches / boehm-gc.patch
1 diff -ruN ../gc6.3alpha2/configure ./configure
2 --- ../gc6.3alpha2/configure    Wed Oct  1 19:34:32 2003
3 +++ ./configure Wed Nov 19 04:17:25 2003
4 @@ -1,7 +1,7 @@
5  #! /bin/sh
6  # From configure.in Revision: 1.2 .
7  # Guess values for system-dependent variables and create Makefiles.
8 -# Generated by GNU Autoconf 2.53 for gc 6.3alpha2.
9 +# Generated by GNU Autoconf 2.57 for gc 6.3alpha2.
10  #
11  # Report bugs to <Hans.Boehm@hp.com>.
12  #
13 @@ -9,173 +9,6 @@
14  # Free Software Foundation, Inc.
15  # This configure script is free software; the Free Software Foundation
16  # gives unlimited permission to copy, distribute and modify it.
17 -
18 -# Find the correct PATH separator.  Usually this is `:', but
19 -# DJGPP uses `;' like DOS.
20 -if test "X${PATH_SEPARATOR+set}" != Xset; then
21 -  UNAME=${UNAME-`uname 2>/dev/null`}
22 -  case X$UNAME in
23 -    *-DOS) lt_cv_sys_path_separator=';' ;;
24 -    *)     lt_cv_sys_path_separator=':' ;;
25 -  esac
26 -  PATH_SEPARATOR=$lt_cv_sys_path_separator
27 -fi
28 -
29 -
30 -# Check that we are running under the correct shell.
31 -SHELL=${CONFIG_SHELL-/bin/sh}
32 -
33 -case X$ECHO in
34 -X*--fallback-echo)
35 -  # Remove one level of quotation (which was required for Make).
36 -  ECHO=`echo "$ECHO" | sed 's,\\\\\$\\$0,'$0','`
37 -  ;;
38 -esac
39 -
40 -echo=${ECHO-echo}
41 -if test "X$1" = X--no-reexec; then
42 -  # Discard the --no-reexec flag, and continue.
43 -  shift
44 -elif test "X$1" = X--fallback-echo; then
45 -  # Avoid inline document here, it may be left over
46 -  :
47 -elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
48 -  # Yippee, $echo works!
49 -  :
50 -else
51 -  # Restart under the correct shell.
52 -  exec $SHELL "$0" --no-reexec ${1+"$@"}
53 -fi
54 -
55 -if test "X$1" = X--fallback-echo; then
56 -  # used as fallback echo
57 -  shift
58 -  cat <<EOF
59 -
60 -EOF
61 -  exit 0
62 -fi
63 -
64 -# The HP-UX ksh and POSIX shell print the target directory to stdout
65 -# if CDPATH is set.
66 -if test "X${CDPATH+set}" = Xset; then CDPATH=:; export CDPATH; fi
67 -
68 -if test -z "$ECHO"; then
69 -if test "X${echo_test_string+set}" != Xset; then
70 -# find a string as large as possible, as long as the shell can cope with it
71 -  for cmd in 'sed 50q "$0"' 'sed 20q "$0"' 'sed 10q "$0"' 'sed 2q "$0"' 'echo test'; do
72 -    # expected sizes: less than 2Kb, 1Kb, 512 bytes, 16 bytes, ...
73 -    if (echo_test_string="`eval $cmd`") 2>/dev/null &&
74 -       echo_test_string="`eval $cmd`" &&
75 -       (test "X$echo_test_string" = "X$echo_test_string") 2>/dev/null
76 -    then
77 -      break
78 -    fi
79 -  done
80 -fi
81 -
82 -if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
83 -   echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
84 -   test "X$echo_testing_string" = "X$echo_test_string"; then
85 -  :
86 -else
87 -  # The Solaris, AIX, and Digital Unix default echo programs unquote
88 -  # backslashes.  This makes it impossible to quote backslashes using
89 -  #   echo "$something" | sed 's/\\/\\\\/g'
90 -  #
91 -  # So, first we look for a working echo in the user's PATH.
92 -
93 -  IFS="${IFS=  }"; save_ifs="$IFS"; IFS=$PATH_SEPARATOR
94 -  for dir in $PATH /usr/ucb; do
95 -    if (test -f $dir/echo || test -f $dir/echo$ac_exeext) &&
96 -       test "X`($dir/echo '\t') 2>/dev/null`" = 'X\t' &&
97 -       echo_testing_string=`($dir/echo "$echo_test_string") 2>/dev/null` &&
98 -       test "X$echo_testing_string" = "X$echo_test_string"; then
99 -      echo="$dir/echo"
100 -      break
101 -    fi
102 -  done
103 -  IFS="$save_ifs"
104 -
105 -  if test "X$echo" = Xecho; then
106 -    # We didn't find a better echo, so look for alternatives.
107 -    if test "X`(print -r '\t') 2>/dev/null`" = 'X\t' &&
108 -       echo_testing_string=`(print -r "$echo_test_string") 2>/dev/null` &&
109 -       test "X$echo_testing_string" = "X$echo_test_string"; then
110 -      # This shell has a builtin print -r that does the trick.
111 -      echo='print -r'
112 -    elif (test -f /bin/ksh || test -f /bin/ksh$ac_exeext) &&
113 -        test "X$CONFIG_SHELL" != X/bin/ksh; then
114 -      # If we have ksh, try running configure again with it.
115 -      ORIGINAL_CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
116 -      export ORIGINAL_CONFIG_SHELL
117 -      CONFIG_SHELL=/bin/ksh
118 -      export CONFIG_SHELL
119 -      exec $CONFIG_SHELL "$0" --no-reexec ${1+"$@"}
120 -    else
121 -      # Try using printf.
122 -      echo='printf %s\n'
123 -      if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
124 -        echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
125 -        test "X$echo_testing_string" = "X$echo_test_string"; then
126 -       # Cool, printf works
127 -       :
128 -      elif echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
129 -          test "X$echo_testing_string" = 'X\t' &&
130 -          echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
131 -          test "X$echo_testing_string" = "X$echo_test_string"; then
132 -       CONFIG_SHELL=$ORIGINAL_CONFIG_SHELL
133 -       export CONFIG_SHELL
134 -       SHELL="$CONFIG_SHELL"
135 -       export SHELL
136 -       echo="$CONFIG_SHELL $0 --fallback-echo"
137 -      elif echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
138 -          test "X$echo_testing_string" = 'X\t' &&
139 -          echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
140 -          test "X$echo_testing_string" = "X$echo_test_string"; then
141 -       echo="$CONFIG_SHELL $0 --fallback-echo"
142 -      else
143 -       # maybe with a smaller string...
144 -       prev=:
145 -
146 -       for cmd in 'echo test' 'sed 2q "$0"' 'sed 10q "$0"' 'sed 20q "$0"' 'sed 50q "$0"'; do
147 -         if (test "X$echo_test_string" = "X`eval $cmd`") 2>/dev/null
148 -         then
149 -           break
150 -         fi
151 -         prev="$cmd"
152 -       done
153 -
154 -       if test "$prev" != 'sed 50q "$0"'; then
155 -         echo_test_string=`eval $prev`
156 -         export echo_test_string
157 -         exec ${ORIGINAL_CONFIG_SHELL-${CONFIG_SHELL-/bin/sh}} "$0" ${1+"$@"}
158 -       else
159 -         # Oops.  We lost completely, so just stick with echo.
160 -         echo=echo
161 -       fi
162 -      fi
163 -    fi
164 -  fi
165 -fi
166 -fi
167 -
168 -# Copy echo and quote the copy suitably for passing to libtool from
169 -# the Makefile, instead of quoting the original, which is used later.
170 -ECHO=$echo
171 -if test "X$ECHO" = "X$CONFIG_SHELL $0 --fallback-echo"; then
172 -   ECHO="$CONFIG_SHELL \\\$\$0 --fallback-echo"
173 -fi
174 -
175 -
176 -
177 -if expr a : '\(a\)' >/dev/null 2>&1; then
178 -  as_expr=expr
179 -else
180 -  as_expr=false
181 -fi
182 -
183 -
184  ## --------------------- ##
185  ## M4sh Initialization.  ##
186  ## --------------------- ##
187 @@ -184,11 +17,13 @@
188  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
189    emulate sh
190    NULLCMD=:
191 +  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
192 +  # is contrary to our usage.  Disable this feature.
193 +  alias -g '${1+"$@"}'='"$@"'
194  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
195    set -o posix
196  fi
197  
198 -# NLS nuisances.
199  # Support unset when possible.
200  if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
201    as_unset=unset
202 @@ -196,34 +31,42 @@
203    as_unset=false
204  fi
205  
206 -(set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
207 -    { $as_unset LANG || test "${LANG+set}" != set; } ||
208 -      { LANG=C; export LANG; }
209 -(set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
210 -    { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
211 -      { LC_ALL=C; export LC_ALL; }
212 -(set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
213 -    { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
214 -      { LC_TIME=C; export LC_TIME; }
215 -(set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
216 -    { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
217 -      { LC_CTYPE=C; export LC_CTYPE; }
218 -(set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
219 -    { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
220 -      { LANGUAGE=C; export LANGUAGE; }
221 -(set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
222 -    { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
223 -      { LC_COLLATE=C; export LC_COLLATE; }
224 -(set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
225 -    { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
226 -      { LC_NUMERIC=C; export LC_NUMERIC; }
227 -(set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
228 -    { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
229 -      { LC_MESSAGES=C; export LC_MESSAGES; }
230 +
231 +# Work around bugs in pre-3.0 UWIN ksh.
232 +$as_unset ENV MAIL MAILPATH
233 +PS1='$ '
234 +PS2='> '
235 +PS4='+ '
236 +
237 +# NLS nuisances.
238 +for as_var in \
239 +  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
240 +  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
241 +  LC_TELEPHONE LC_TIME
242 +do
243 +  if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
244 +    eval $as_var=C; export $as_var
245 +  else
246 +    $as_unset $as_var
247 +  fi
248 +done
249 +
250 +# Required to use basename.
251 +if expr a : '\(a\)' >/dev/null 2>&1; then
252 +  as_expr=expr
253 +else
254 +  as_expr=false
255 +fi
256 +
257 +if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
258 +  as_basename=basename
259 +else
260 +  as_basename=false
261 +fi
262  
263  
264  # Name of the executable.
265 -as_me=`(basename "$0") 2>/dev/null ||
266 +as_me=`$as_basename "$0" ||
267  $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
268          X"$0" : 'X\(//\)$' \| \
269          X"$0" : 'X\(/\)$' \| \
270 @@ -234,6 +77,7 @@
271           /^X\/\(\/\).*/{ s//\1/; q; }
272           s/.*/./; q'`
273  
274 +
275  # PATH needs CR, and LINENO needs CR and PATH.
276  # Avoid depending upon Character Ranges.
277  as_cr_letters='abcdefghijklmnopqrstuvwxyz'
278 @@ -244,15 +88,15 @@
279  
280  # The user is always right.
281  if test "${PATH_SEPARATOR+set}" != set; then
282 -  echo "#! /bin/sh" >conftest.sh
283 -  echo  "exit 0"   >>conftest.sh
284 -  chmod +x conftest.sh
285 -  if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
286 +  echo "#! /bin/sh" >conf$$.sh
287 +  echo  "exit 0"   >>conf$$.sh
288 +  chmod +x conf$$.sh
289 +  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
290      PATH_SEPARATOR=';'
291    else
292      PATH_SEPARATOR=:
293    fi
294 -  rm -f conftest.sh
295 +  rm -f conf$$.sh
296  fi
297  
298  
299 @@ -300,6 +144,8 @@
300    as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
301    test "x$as_lineno_1" != "x$as_lineno_2" &&
302    test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
303 +            $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
304 +            $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
305              CONFIG_SHELL=$as_dir/$as_base
306              export CONFIG_SHELL
307              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
308 @@ -372,6 +218,12 @@
309  fi
310  rm -f conf$$ conf$$.exe conf$$.file
311  
312 +if mkdir -p . 2>/dev/null; then
313 +  as_mkdir_p=:
314 +else
315 +  as_mkdir_p=false
316 +fi
317 +
318  as_executable_p="test -f"
319  
320  # Sed expression to map a string onto a valid CPP name.
321 @@ -388,7 +240,166 @@
322  IFS="  $as_nl"
323  
324  # CDPATH.
325 -$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
326 +$as_unset CDPATH
327 +
328 +
329 +# Find the correct PATH separator.  Usually this is `:', but
330 +# DJGPP uses `;' like DOS.
331 +if test "X${PATH_SEPARATOR+set}" != Xset; then
332 +  UNAME=${UNAME-`uname 2>/dev/null`}
333 +  case X$UNAME in
334 +    *-DOS) lt_cv_sys_path_separator=';' ;;
335 +    *)     lt_cv_sys_path_separator=':' ;;
336 +  esac
337 +  PATH_SEPARATOR=$lt_cv_sys_path_separator
338 +fi
339 +
340 +
341 +# Check that we are running under the correct shell.
342 +SHELL=${CONFIG_SHELL-/bin/sh}
343 +
344 +case X$ECHO in
345 +X*--fallback-echo)
346 +  # Remove one level of quotation (which was required for Make).
347 +  ECHO=`echo "$ECHO" | sed 's,\\\\\$\\$0,'$0','`
348 +  ;;
349 +esac
350 +
351 +echo=${ECHO-echo}
352 +if test "X$1" = X--no-reexec; then
353 +  # Discard the --no-reexec flag, and continue.
354 +  shift
355 +elif test "X$1" = X--fallback-echo; then
356 +  # Avoid inline document here, it may be left over
357 +  :
358 +elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
359 +  # Yippee, $echo works!
360 +  :
361 +else
362 +  # Restart under the correct shell.
363 +  exec $SHELL "$0" --no-reexec ${1+"$@"}
364 +fi
365 +
366 +if test "X$1" = X--fallback-echo; then
367 +  # used as fallback echo
368 +  shift
369 +  cat <<EOF
370 +
371 +EOF
372 +  exit 0
373 +fi
374 +
375 +# The HP-UX ksh and POSIX shell print the target directory to stdout
376 +# if CDPATH is set.
377 +if test "X${CDPATH+set}" = Xset; then CDPATH=:; export CDPATH; fi
378 +
379 +if test -z "$ECHO"; then
380 +if test "X${echo_test_string+set}" != Xset; then
381 +# find a string as large as possible, as long as the shell can cope with it
382 +  for cmd in 'sed 50q "$0"' 'sed 20q "$0"' 'sed 10q "$0"' 'sed 2q "$0"' 'echo test'; do
383 +    # expected sizes: less than 2Kb, 1Kb, 512 bytes, 16 bytes, ...
384 +    if (echo_test_string="`eval $cmd`") 2>/dev/null &&
385 +       echo_test_string="`eval $cmd`" &&
386 +       (test "X$echo_test_string" = "X$echo_test_string") 2>/dev/null
387 +    then
388 +      break
389 +    fi
390 +  done
391 +fi
392 +
393 +if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
394 +   echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
395 +   test "X$echo_testing_string" = "X$echo_test_string"; then
396 +  :
397 +else
398 +  # The Solaris, AIX, and Digital Unix default echo programs unquote
399 +  # backslashes.  This makes it impossible to quote backslashes using
400 +  #   echo "$something" | sed 's/\\/\\\\/g'
401 +  #
402 +  # So, first we look for a working echo in the user's PATH.
403 +
404 +  IFS="${IFS=  }"; save_ifs="$IFS"; IFS=$PATH_SEPARATOR
405 +  for dir in $PATH /usr/ucb; do
406 +    if (test -f $dir/echo || test -f $dir/echo$ac_exeext) &&
407 +       test "X`($dir/echo '\t') 2>/dev/null`" = 'X\t' &&
408 +       echo_testing_string=`($dir/echo "$echo_test_string") 2>/dev/null` &&
409 +       test "X$echo_testing_string" = "X$echo_test_string"; then
410 +      echo="$dir/echo"
411 +      break
412 +    fi
413 +  done
414 +  IFS="$save_ifs"
415 +
416 +  if test "X$echo" = Xecho; then
417 +    # We didn't find a better echo, so look for alternatives.
418 +    if test "X`(print -r '\t') 2>/dev/null`" = 'X\t' &&
419 +       echo_testing_string=`(print -r "$echo_test_string") 2>/dev/null` &&
420 +       test "X$echo_testing_string" = "X$echo_test_string"; then
421 +      # This shell has a builtin print -r that does the trick.
422 +      echo='print -r'
423 +    elif (test -f /bin/ksh || test -f /bin/ksh$ac_exeext) &&
424 +        test "X$CONFIG_SHELL" != X/bin/ksh; then
425 +      # If we have ksh, try running configure again with it.
426 +      ORIGINAL_CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
427 +      export ORIGINAL_CONFIG_SHELL
428 +      CONFIG_SHELL=/bin/ksh
429 +      export CONFIG_SHELL
430 +      exec $CONFIG_SHELL "$0" --no-reexec ${1+"$@"}
431 +    else
432 +      # Try using printf.
433 +      echo='printf %s\n'
434 +      if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
435 +        echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
436 +        test "X$echo_testing_string" = "X$echo_test_string"; then
437 +       # Cool, printf works
438 +       :
439 +      elif echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
440 +          test "X$echo_testing_string" = 'X\t' &&
441 +          echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
442 +          test "X$echo_testing_string" = "X$echo_test_string"; then
443 +       CONFIG_SHELL=$ORIGINAL_CONFIG_SHELL
444 +       export CONFIG_SHELL
445 +       SHELL="$CONFIG_SHELL"
446 +       export SHELL
447 +       echo="$CONFIG_SHELL $0 --fallback-echo"
448 +      elif echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
449 +          test "X$echo_testing_string" = 'X\t' &&
450 +          echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
451 +          test "X$echo_testing_string" = "X$echo_test_string"; then
452 +       echo="$CONFIG_SHELL $0 --fallback-echo"
453 +      else
454 +       # maybe with a smaller string...
455 +       prev=:
456 +
457 +       for cmd in 'echo test' 'sed 2q "$0"' 'sed 10q "$0"' 'sed 20q "$0"' 'sed 50q "$0"'; do
458 +         if (test "X$echo_test_string" = "X`eval $cmd`") 2>/dev/null
459 +         then
460 +           break
461 +         fi
462 +         prev="$cmd"
463 +       done
464 +
465 +       if test "$prev" != 'sed 50q "$0"'; then
466 +         echo_test_string=`eval $prev`
467 +         export echo_test_string
468 +         exec ${ORIGINAL_CONFIG_SHELL-${CONFIG_SHELL-/bin/sh}} "$0" ${1+"$@"}
469 +       else
470 +         # Oops.  We lost completely, so just stick with echo.
471 +         echo=echo
472 +       fi
473 +      fi
474 +    fi
475 +  fi
476 +fi
477 +fi
478 +
479 +# Copy echo and quote the copy suitably for passing to libtool from
480 +# the Makefile, instead of quoting the original, which is used later.
481 +ECHO=$echo
482 +if test "X$ECHO" = "X$CONFIG_SHELL $0 --fallback-echo"; then
483 +   ECHO="$CONFIG_SHELL \\\$\$0 --fallback-echo"
484 +fi
485 +
486  
487  
488  # Name of the host.
489 @@ -402,6 +413,7 @@
490  # Initializations.
491  #
492  ac_default_prefix=/usr/local
493 +ac_config_libobj_dir=.
494  cross_compiling=no
495  subdirs=
496  MFLAGS=
497 @@ -458,6 +470,8 @@
498  # include <unistd.h>
499  #endif"
500  
501 +ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE GC_VERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE CCAS CCASFLAGS AR ac_ct_AR RANLIB ac_ct_RANLIB MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GC_CFLAGS THREADLIBS POWERPC_DARWIN_TRUE POWERPC_DARWIN_FALSE EXTRA_TEST_LIBS target_all CPLUSPLUS_TRUE CPLUSPLUS_FALSE INCLUDES CXXINCLUDES addobjs addincludes addlibs addtests LN_S ECHO CPP EGREP LIBTOOL MY_CFLAGS USE_LIBDIR_TRUE USE_LIBDIR_FALSE LIBOBJS LTLIBOBJS'
502 +ac_subst_files=''
503  
504  # Initialize some variables set by options.
505  ac_init_help=
506 @@ -881,6 +895,9 @@
507     { (exit 1); exit 1; }; }
508    fi
509  fi
510 +(cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
511 +  { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
512 +   { (exit 1); exit 1; }; }
513  srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
514  ac_env_build_alias_set=${build_alias+set}
515  ac_env_build_alias_value=$build_alias
516 @@ -1080,7 +1097,7 @@
517  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
518  # absolute.
519  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
520 -ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
521 +ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
522  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
523  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
524  
525 @@ -1107,7 +1124,7 @@
526  if $ac_init_version; then
527    cat <<\_ACEOF
528  gc configure 6.3alpha2
529 -generated by GNU Autoconf 2.53
530 +generated by GNU Autoconf 2.57
531  
532  Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
533  Free Software Foundation, Inc.
534 @@ -1122,7 +1139,7 @@
535  running configure, to aid debugging if configure makes a mistake.
536  
537  It was created by gc $as_me 6.3alpha2, which was
538 -generated by GNU Autoconf 2.53.  Invocation command line was
539 +generated by GNU Autoconf 2.57.  Invocation command line was
540  
541    $ $0 $@
542  
543 @@ -1174,27 +1191,54 @@
544  
545  # Keep a trace of the command line.
546  # Strip out --no-create and --no-recursion so they do not pile up.
547 +# Strip out --silent because we don't want to record it for future runs.
548  # Also quote any args containing shell meta-characters.
549 +# Make two passes to allow for proper duplicate-argument suppression.
550  ac_configure_args=
551 +ac_configure_args0=
552 +ac_configure_args1=
553  ac_sep=
554 -for ac_arg
555 +ac_must_keep_next=false
556 +for ac_pass in 1 2
557  do
558 -  case $ac_arg in
559 -  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
560 -  | --no-cr | --no-c | -n ) continue ;;
561 -  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
562 -  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
563 -    continue ;;
564 -  *" "*|*"     "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
565 -    ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
566 -  esac
567 -  case " $ac_configure_args " in
568 -    *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
569 -    *) ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
570 -       ac_sep=" " ;;
571 -  esac
572 -  # Get rid of the leading space.
573 +  for ac_arg
574 +  do
575 +    case $ac_arg in
576 +    -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
577 +    -q | -quiet | --quiet | --quie | --qui | --qu | --q \
578 +    | -silent | --silent | --silen | --sile | --sil)
579 +      continue ;;
580 +    *" "*|*"   "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
581 +      ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
582 +    esac
583 +    case $ac_pass in
584 +    1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
585 +    2)
586 +      ac_configure_args1="$ac_configure_args1 '$ac_arg'"
587 +      if test $ac_must_keep_next = true; then
588 +        ac_must_keep_next=false # Got value, back to normal.
589 +      else
590 +        case $ac_arg in
591 +          *=* | --config-cache | -C | -disable-* | --disable-* \
592 +          | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
593 +          | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
594 +          | -with-* | --with-* | -without-* | --without-* | --x)
595 +            case "$ac_configure_args0 " in
596 +              "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
597 +            esac
598 +            ;;
599 +          -* ) ac_must_keep_next=true ;;
600 +        esac
601 +      fi
602 +      ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
603 +      # Get rid of the leading space.
604 +      ac_sep=" "
605 +      ;;
606 +    esac
607 +  done
608  done
609 +$as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
610 +$as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
611  
612  # When interrupted or exit'd, cleanup temporary files, and complete
613  # config.log.  We remove comments because anyway the quotes in there
614 @@ -1205,6 +1249,7 @@
615    # Save into config.log some information that might help in debugging.
616    {
617      echo
618 +
619      cat <<\_ASBOX
620  ## ---------------- ##
621  ## Cache variables. ##
622 @@ -1227,6 +1272,35 @@
623      esac;
624  }
625      echo
626 +
627 +    cat <<\_ASBOX
628 +## ----------------- ##
629 +## Output variables. ##
630 +## ----------------- ##
631 +_ASBOX
632 +    echo
633 +    for ac_var in $ac_subst_vars
634 +    do
635 +      eval ac_val=$`echo $ac_var`
636 +      echo "$ac_var='"'"'$ac_val'"'"'"
637 +    done | sort
638 +    echo
639 +
640 +    if test -n "$ac_subst_files"; then
641 +      cat <<\_ASBOX
642 +## ------------- ##
643 +## Output files. ##
644 +## ------------- ##
645 +_ASBOX
646 +      echo
647 +      for ac_var in $ac_subst_files
648 +      do
649 +       eval ac_val=$`echo $ac_var`
650 +        echo "$ac_var='"'"'$ac_val'"'"'"
651 +      done | sort
652 +      echo
653 +    fi
654 +
655      if test -s confdefs.h; then
656        cat <<\_ASBOX
657  ## ----------- ##
658 @@ -1234,7 +1308,7 @@
659  ## ----------- ##
660  _ASBOX
661        echo
662 -      sed "/^$/d" confdefs.h
663 +      sed "/^$/d" confdefs.h | sort
664        echo
665      fi
666      test "$ac_signal" != 0 &&
667 @@ -1399,6 +1473,7 @@
668  
669  
670  
671 +
672      ## version must conform to [0-9]+[.][0-9]+(alpha[0-9]+)?
673  
674  ac_aux_dir=
675 @@ -1743,15 +1818,15 @@
676    test -n "$AWK" && break
677  done
678  
679 -echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \${MAKE}" >&5
680 -echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
681 +echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
682 +echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
683  set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
684  if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
685    echo $ECHO_N "(cached) $ECHO_C" >&6
686  else
687    cat >conftest.make <<\_ACEOF
688  all:
689 -       @echo 'ac_maketemp="${MAKE}"'
690 +       @echo 'ac_maketemp="$(MAKE)"'
691  _ACEOF
692  # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
693  eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
694 @@ -2116,9 +2191,7 @@
695      # However, it has the same basename, so the bogon will be chosen
696      # first if we set CC to just the basename; use the full file name.
697      shift
698 -    set dummy "$as_dir/$ac_word" ${1+"$@"}
699 -    shift
700 -    ac_cv_prog_CC="$@"
701 +    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
702    fi
703  fi
704  fi
705 @@ -2223,8 +2296,10 @@
706  fi
707  
708  
709 -test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH" >&5
710 -echo "$as_me: error: no acceptable C compiler found in \$PATH" >&2;}
711 +test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
712 +See \`config.log' for more details." >&5
713 +echo "$as_me: error: no acceptable C compiler found in \$PATH
714 +See \`config.log' for more details." >&2;}
715     { (exit 1); exit 1; }; }
716  
717  # Provide some information about the compiler.
718 @@ -2249,14 +2324,12 @@
719  
720  cat >conftest.$ac_ext <<_ACEOF
721  #line $LINENO "configure"
722 -#include "confdefs.h"
723 +/* confdefs.h.  */
724 +_ACEOF
725 +cat confdefs.h >>conftest.$ac_ext
726 +cat >>conftest.$ac_ext <<_ACEOF
727 +/* end confdefs.h.  */
728  
729 -#ifdef F77_DUMMY_MAIN
730 -#  ifdef __cplusplus
731 -     extern "C"
732 -#  endif
733 -   int F77_DUMMY_MAIN() { return 1; }
734 -#endif
735  int
736  main ()
737  {
738 @@ -2266,7 +2339,7 @@
739  }
740  _ACEOF
741  ac_clean_files_save=$ac_clean_files
742 -ac_clean_files="$ac_clean_files a.out a.exe"
743 +ac_clean_files="$ac_clean_files a.out a.exe b.out"
744  # Try to create an executable without -o first, disregard a.out.
745  # It will help us diagnose broken compilers, and finding out an intuition
746  # of exeext.
747 @@ -2285,26 +2358,39 @@
748  # Be careful to initialize this variable, since it used to be cached.
749  # Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
750  ac_cv_exeext=
751 -for ac_file in `ls a_out.exe a.exe conftest.exe 2>/dev/null;
752 -                ls a.out conftest 2>/dev/null;
753 -                ls a.* conftest.* 2>/dev/null`; do
754 +# b.out is created by i960 compilers.
755 +for ac_file in a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out
756 +do
757 +  test -f "$ac_file" || continue
758    case $ac_file in
759 -    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb | *.xSYM ) ;;
760 -    a.out ) # We found the default executable, but exeext='' is most
761 -            # certainly right.
762 -            break;;
763 -    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
764 -          # FIXME: I believe we export ac_cv_exeext for Libtool --akim.
765 -          export ac_cv_exeext
766 -          break;;
767 -    * ) break;;
768 +    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj )
769 +        ;;
770 +    conftest.$ac_ext )
771 +        # This is the source file.
772 +        ;;
773 +    [ab].out )
774 +        # We found the default executable, but exeext='' is most
775 +        # certainly right.
776 +        break;;
777 +    *.* )
778 +        ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
779 +        # FIXME: I believe we export ac_cv_exeext for Libtool,
780 +        # but it would be cool to find out if it's true.  Does anybody
781 +        # maintain Libtool? --akim.
782 +        export ac_cv_exeext
783 +        break;;
784 +    * )
785 +        break;;
786    esac
787  done
788  else
789    echo "$as_me: failed program was:" >&5
790 -cat conftest.$ac_ext >&5
791 -{ { echo "$as_me:$LINENO: error: C compiler cannot create executables" >&5
792 -echo "$as_me: error: C compiler cannot create executables" >&2;}
793 +sed 's/^/| /' conftest.$ac_ext >&5
794 +
795 +{ { echo "$as_me:$LINENO: error: C compiler cannot create executables
796 +See \`config.log' for more details." >&5
797 +echo "$as_me: error: C compiler cannot create executables
798 +See \`config.log' for more details." >&2;}
799     { (exit 77); exit 77; }; }
800  fi
801  
802 @@ -2331,9 +2417,11 @@
803         cross_compiling=yes
804      else
805         { { echo "$as_me:$LINENO: error: cannot run C compiled programs.
806 -If you meant to cross compile, use \`--host'." >&5
807 +If you meant to cross compile, use \`--host'.
808 +See \`config.log' for more details." >&5
809  echo "$as_me: error: cannot run C compiled programs.
810 -If you meant to cross compile, use \`--host'." >&2;}
811 +If you meant to cross compile, use \`--host'.
812 +See \`config.log' for more details." >&2;}
813     { (exit 1); exit 1; }; }
814      fi
815    fi
816 @@ -2341,7 +2429,7 @@
817  echo "$as_me:$LINENO: result: yes" >&5
818  echo "${ECHO_T}yes" >&6
819  
820 -rm -f a.out a.exe conftest$ac_cv_exeext
821 +rm -f a.out a.exe conftest$ac_cv_exeext b.out
822  ac_clean_files=$ac_clean_files_save
823  # Check the compiler produces executables we can run.  If not, either
824  # the compiler is broken, or we cross compile.
825 @@ -2361,9 +2449,10 @@
826  # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
827  # work properly (i.e., refer to `conftest.exe'), while it won't with
828  # `rm'.
829 -for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
830 +for ac_file in conftest.exe conftest conftest.*; do
831 +  test -f "$ac_file" || continue
832    case $ac_file in
833 -    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
834 +    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
835      *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
836            export ac_cv_exeext
837            break;;
838 @@ -2371,8 +2460,10 @@
839    esac
840  done
841  else
842 -  { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link" >&5
843 -echo "$as_me: error: cannot compute suffix of executables: cannot compile and link" >&2;}
844 +  { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link
845 +See \`config.log' for more details." >&5
846 +echo "$as_me: error: cannot compute suffix of executables: cannot compile and link
847 +See \`config.log' for more details." >&2;}
848     { (exit 1); exit 1; }; }
849  fi
850  
851 @@ -2390,14 +2481,12 @@
852  else
853    cat >conftest.$ac_ext <<_ACEOF
854  #line $LINENO "configure"
855 -#include "confdefs.h"
856 +/* confdefs.h.  */
857 +_ACEOF
858 +cat confdefs.h >>conftest.$ac_ext
859 +cat >>conftest.$ac_ext <<_ACEOF
860 +/* end confdefs.h.  */
861  
862 -#ifdef F77_DUMMY_MAIN
863 -#  ifdef __cplusplus
864 -     extern "C"
865 -#  endif
866 -   int F77_DUMMY_MAIN() { return 1; }
867 -#endif
868  int
869  main ()
870  {
871 @@ -2414,16 +2503,19 @@
872    (exit $ac_status); }; then
873    for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
874    case $ac_file in
875 -    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb ) ;;
876 +    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
877      *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
878         break;;
879    esac
880  done
881  else
882    echo "$as_me: failed program was:" >&5
883 -cat conftest.$ac_ext >&5
884 -{ { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile" >&5
885 -echo "$as_me: error: cannot compute suffix of object files: cannot compile" >&2;}
886 +sed 's/^/| /' conftest.$ac_ext >&5
887 +
888 +{ { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile
889 +See \`config.log' for more details." >&5
890 +echo "$as_me: error: cannot compute suffix of object files: cannot compile
891 +See \`config.log' for more details." >&2;}
892     { (exit 1); exit 1; }; }
893  fi
894  
895 @@ -2440,14 +2532,12 @@
896  else
897    cat >conftest.$ac_ext <<_ACEOF
898  #line $LINENO "configure"
899 -#include "confdefs.h"
900 +/* confdefs.h.  */
901 +_ACEOF
902 +cat confdefs.h >>conftest.$ac_ext
903 +cat >>conftest.$ac_ext <<_ACEOF
904 +/* end confdefs.h.  */
905  
906 -#ifdef F77_DUMMY_MAIN
907 -#  ifdef __cplusplus
908 -     extern "C"
909 -#  endif
910 -   int F77_DUMMY_MAIN() { return 1; }
911 -#endif
912  int
913  main ()
914  {
915 @@ -2474,7 +2564,8 @@
916    ac_compiler_gnu=yes
917  else
918    echo "$as_me: failed program was:" >&5
919 -cat conftest.$ac_ext >&5
920 +sed 's/^/| /' conftest.$ac_ext >&5
921 +
922  ac_compiler_gnu=no
923  fi
924  rm -f conftest.$ac_objext conftest.$ac_ext
925 @@ -2494,14 +2585,12 @@
926  else
927    cat >conftest.$ac_ext <<_ACEOF
928  #line $LINENO "configure"
929 -#include "confdefs.h"
930 +/* confdefs.h.  */
931 +_ACEOF
932 +cat confdefs.h >>conftest.$ac_ext
933 +cat >>conftest.$ac_ext <<_ACEOF
934 +/* end confdefs.h.  */
935  
936 -#ifdef F77_DUMMY_MAIN
937 -#  ifdef __cplusplus
938 -     extern "C"
939 -#  endif
940 -   int F77_DUMMY_MAIN() { return 1; }
941 -#endif
942  int
943  main ()
944  {
945 @@ -2525,7 +2614,8 @@
946    ac_cv_prog_cc_g=yes
947  else
948    echo "$as_me: failed program was:" >&5
949 -cat conftest.$ac_ext >&5
950 +sed 's/^/| /' conftest.$ac_ext >&5
951 +
952  ac_cv_prog_cc_g=no
953  fi
954  rm -f conftest.$ac_objext conftest.$ac_ext
955 @@ -2547,6 +2637,102 @@
956      CFLAGS=
957    fi
958  fi
959 +echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
960 +echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
961 +if test "${ac_cv_prog_cc_stdc+set}" = set; then
962 +  echo $ECHO_N "(cached) $ECHO_C" >&6
963 +else
964 +  ac_cv_prog_cc_stdc=no
965 +ac_save_CC=$CC
966 +cat >conftest.$ac_ext <<_ACEOF
967 +#line $LINENO "configure"
968 +/* confdefs.h.  */
969 +_ACEOF
970 +cat confdefs.h >>conftest.$ac_ext
971 +cat >>conftest.$ac_ext <<_ACEOF
972 +/* end confdefs.h.  */
973 +#include <stdarg.h>
974 +#include <stdio.h>
975 +#include <sys/types.h>
976 +#include <sys/stat.h>
977 +/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
978 +struct buf { int x; };
979 +FILE * (*rcsopen) (struct buf *, struct stat *, int);
980 +static char *e (p, i)
981 +     char **p;
982 +     int i;
983 +{
984 +  return p[i];
985 +}
986 +static char *f (char * (*g) (char **, int), char **p, ...)
987 +{
988 +  char *s;
989 +  va_list v;
990 +  va_start (v,p);
991 +  s = g (p, va_arg (v,int));
992 +  va_end (v);
993 +  return s;
994 +}
995 +int test (int i, double x);
996 +struct s1 {int (*f) (int a);};
997 +struct s2 {int (*f) (double a);};
998 +int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
999 +int argc;
1000 +char **argv;
1001 +int
1002 +main ()
1003 +{
1004 +return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
1005 +  ;
1006 +  return 0;
1007 +}
1008 +_ACEOF
1009 +# Don't try gcc -ansi; that turns off useful extensions and
1010 +# breaks some systems' header files.
1011 +# AIX                  -qlanglvl=ansi
1012 +# Ultrix and OSF/1     -std1
1013 +# HP-UX 10.20 and later        -Ae
1014 +# HP-UX older versions -Aa -D_HPUX_SOURCE
1015 +# SVR4                 -Xc -D__EXTENSIONS__
1016 +for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
1017 +do
1018 +  CC="$ac_save_CC $ac_arg"
1019 +  rm -f conftest.$ac_objext
1020 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1021 +  (eval $ac_compile) 2>&5
1022 +  ac_status=$?
1023 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
1024 +  (exit $ac_status); } &&
1025 +         { ac_try='test -s conftest.$ac_objext'
1026 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1027 +  (eval $ac_try) 2>&5
1028 +  ac_status=$?
1029 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
1030 +  (exit $ac_status); }; }; then
1031 +  ac_cv_prog_cc_stdc=$ac_arg
1032 +break
1033 +else
1034 +  echo "$as_me: failed program was:" >&5
1035 +sed 's/^/| /' conftest.$ac_ext >&5
1036 +
1037 +fi
1038 +rm -f conftest.$ac_objext
1039 +done
1040 +rm -f conftest.$ac_ext conftest.$ac_objext
1041 +CC=$ac_save_CC
1042 +
1043 +fi
1044 +
1045 +case "x$ac_cv_prog_cc_stdc" in
1046 +  x|xno)
1047 +    echo "$as_me:$LINENO: result: none needed" >&5
1048 +echo "${ECHO_T}none needed" >&6 ;;
1049 +  *)
1050 +    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
1051 +echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
1052 +    CC="$CC $ac_cv_prog_cc_stdc" ;;
1053 +esac
1054 +
1055  # Some people use a C++ compiler to compile C.  Since we use `exit',
1056  # in C++ we need to declare it.  In case someone uses the same compiler
1057  # for both compiling C and C++ we need to have the C++ compiler decide
1058 @@ -2579,15 +2765,13 @@
1059  do
1060    cat >conftest.$ac_ext <<_ACEOF
1061  #line $LINENO "configure"
1062 -#include "confdefs.h"
1063 +/* confdefs.h.  */
1064 +_ACEOF
1065 +cat confdefs.h >>conftest.$ac_ext
1066 +cat >>conftest.$ac_ext <<_ACEOF
1067 +/* end confdefs.h.  */
1068  #include <stdlib.h>
1069  $ac_declaration
1070 -#ifdef F77_DUMMY_MAIN
1071 -#  ifdef __cplusplus
1072 -     extern "C"
1073 -#  endif
1074 -   int F77_DUMMY_MAIN() { return 1; }
1075 -#endif
1076  int
1077  main ()
1078  {
1079 @@ -2611,20 +2795,19 @@
1080    :
1081  else
1082    echo "$as_me: failed program was:" >&5
1083 -cat conftest.$ac_ext >&5
1084 +sed 's/^/| /' conftest.$ac_ext >&5
1085 +
1086  continue
1087  fi
1088  rm -f conftest.$ac_objext conftest.$ac_ext
1089    cat >conftest.$ac_ext <<_ACEOF
1090  #line $LINENO "configure"
1091 -#include "confdefs.h"
1092 +/* confdefs.h.  */
1093 +_ACEOF
1094 +cat confdefs.h >>conftest.$ac_ext
1095 +cat >>conftest.$ac_ext <<_ACEOF
1096 +/* end confdefs.h.  */
1097  $ac_declaration
1098 -#ifdef F77_DUMMY_MAIN
1099 -#  ifdef __cplusplus
1100 -     extern "C"
1101 -#  endif
1102 -   int F77_DUMMY_MAIN() { return 1; }
1103 -#endif
1104  int
1105  main ()
1106  {
1107 @@ -2648,7 +2831,8 @@
1108    break
1109  else
1110    echo "$as_me: failed program was:" >&5
1111 -cat conftest.$ac_ext >&5
1112 +sed 's/^/| /' conftest.$ac_ext >&5
1113 +
1114  fi
1115  rm -f conftest.$ac_objext conftest.$ac_ext
1116  done
1117 @@ -2661,7 +2845,8 @@
1118  
1119  else
1120    echo "$as_me: failed program was:" >&5
1121 -cat conftest.$ac_ext >&5
1122 +sed 's/^/| /' conftest.$ac_ext >&5
1123 +
1124  fi
1125  rm -f conftest.$ac_objext conftest.$ac_ext
1126  ac_ext=c
1127 @@ -2680,7 +2865,7 @@
1128  rmdir .deps 2>/dev/null
1129  
1130  
1131 -ac_config_commands="$ac_config_commands depfiles"
1132 +          ac_config_commands="$ac_config_commands depfiles"
1133  
1134  
1135  am_make=${MAKE-make}
1136 @@ -2932,14 +3117,12 @@
1137  else
1138    cat >conftest.$ac_ext <<_ACEOF
1139  #line $LINENO "configure"
1140 -#include "confdefs.h"
1141 +/* confdefs.h.  */
1142 +_ACEOF
1143 +cat confdefs.h >>conftest.$ac_ext
1144 +cat >>conftest.$ac_ext <<_ACEOF
1145 +/* end confdefs.h.  */
1146  
1147 -#ifdef F77_DUMMY_MAIN
1148 -#  ifdef __cplusplus
1149 -     extern "C"
1150 -#  endif
1151 -   int F77_DUMMY_MAIN() { return 1; }
1152 -#endif
1153  int
1154  main ()
1155  {
1156 @@ -2966,7 +3149,8 @@
1157    ac_compiler_gnu=yes
1158  else
1159    echo "$as_me: failed program was:" >&5
1160 -cat conftest.$ac_ext >&5
1161 +sed 's/^/| /' conftest.$ac_ext >&5
1162 +
1163  ac_compiler_gnu=no
1164  fi
1165  rm -f conftest.$ac_objext conftest.$ac_ext
1166 @@ -2986,14 +3170,12 @@
1167  else
1168    cat >conftest.$ac_ext <<_ACEOF
1169  #line $LINENO "configure"
1170 -#include "confdefs.h"
1171 +/* confdefs.h.  */
1172 +_ACEOF
1173 +cat confdefs.h >>conftest.$ac_ext
1174 +cat >>conftest.$ac_ext <<_ACEOF
1175 +/* end confdefs.h.  */
1176  
1177 -#ifdef F77_DUMMY_MAIN
1178 -#  ifdef __cplusplus
1179 -     extern "C"
1180 -#  endif
1181 -   int F77_DUMMY_MAIN() { return 1; }
1182 -#endif
1183  int
1184  main ()
1185  {
1186 @@ -3017,7 +3199,8 @@
1187    ac_cv_prog_cxx_g=yes
1188  else
1189    echo "$as_me: failed program was:" >&5
1190 -cat conftest.$ac_ext >&5
1191 +sed 's/^/| /' conftest.$ac_ext >&5
1192 +
1193  ac_cv_prog_cxx_g=no
1194  fi
1195  rm -f conftest.$ac_objext conftest.$ac_ext
1196 @@ -3050,15 +3233,13 @@
1197  do
1198    cat >conftest.$ac_ext <<_ACEOF
1199  #line $LINENO "configure"
1200 -#include "confdefs.h"
1201 +/* confdefs.h.  */
1202 +_ACEOF
1203 +cat confdefs.h >>conftest.$ac_ext
1204 +cat >>conftest.$ac_ext <<_ACEOF
1205 +/* end confdefs.h.  */
1206  #include <stdlib.h>
1207  $ac_declaration
1208 -#ifdef F77_DUMMY_MAIN
1209 -#  ifdef __cplusplus
1210 -     extern "C"
1211 -#  endif
1212 -   int F77_DUMMY_MAIN() { return 1; }
1213 -#endif
1214  int
1215  main ()
1216  {
1217 @@ -3082,20 +3263,19 @@
1218    :
1219  else
1220    echo "$as_me: failed program was:" >&5
1221 -cat conftest.$ac_ext >&5
1222 +sed 's/^/| /' conftest.$ac_ext >&5
1223 +
1224  continue
1225  fi
1226  rm -f conftest.$ac_objext conftest.$ac_ext
1227    cat >conftest.$ac_ext <<_ACEOF
1228  #line $LINENO "configure"
1229 -#include "confdefs.h"
1230 +/* confdefs.h.  */
1231 +_ACEOF
1232 +cat confdefs.h >>conftest.$ac_ext
1233 +cat >>conftest.$ac_ext <<_ACEOF
1234 +/* end confdefs.h.  */
1235  $ac_declaration
1236 -#ifdef F77_DUMMY_MAIN
1237 -#  ifdef __cplusplus
1238 -     extern "C"
1239 -#  endif
1240 -   int F77_DUMMY_MAIN() { return 1; }
1241 -#endif
1242  int
1243  main ()
1244  {
1245 @@ -3119,7 +3299,8 @@
1246    break
1247  else
1248    echo "$as_me: failed program was:" >&5
1249 -cat conftest.$ac_ext >&5
1250 +sed 's/^/| /' conftest.$ac_ext >&5
1251 +
1252  fi
1253  rm -f conftest.$ac_objext conftest.$ac_ext
1254  done
1255 @@ -3751,7 +3932,11 @@
1256  LIBS="-ldl  $LIBS"
1257  cat >conftest.$ac_ext <<_ACEOF
1258  #line $LINENO "configure"
1259 -#include "confdefs.h"
1260 +/* confdefs.h.  */
1261 +_ACEOF
1262 +cat confdefs.h >>conftest.$ac_ext
1263 +cat >>conftest.$ac_ext <<_ACEOF
1264 +/* end confdefs.h.  */
1265  
1266  /* Override any gcc2 internal prototype to avoid an error.  */
1267  #ifdef __cplusplus
1268 @@ -3760,12 +3945,6 @@
1269  /* We use char because int might match the return type of a gcc2
1270     builtin and then its argument prototype would still apply.  */
1271  char dlopen ();
1272 -#ifdef F77_DUMMY_MAIN
1273 -#  ifdef __cplusplus
1274 -     extern "C"
1275 -#  endif
1276 -   int F77_DUMMY_MAIN() { return 1; }
1277 -#endif
1278  int
1279  main ()
1280  {
1281 @@ -3789,7 +3968,8 @@
1282    ac_cv_lib_dl_dlopen=yes
1283  else
1284    echo "$as_me: failed program was:" >&5
1285 -cat conftest.$ac_ext >&5
1286 +sed 's/^/| /' conftest.$ac_ext >&5
1287 +
1288  ac_cv_lib_dl_dlopen=no
1289  fi
1290  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
1291 @@ -3936,6 +4116,13 @@
1292      ;;
1293   mips*-*-linux*)
1294      ;;
1295 + mips-unknown-elf*)
1296 +    machdep="mips2java_mach_dep.lo"
1297 +    cat >>confdefs.h <<\_ACEOF
1298 +#define MIPS2JAVA 1
1299 +_ACEOF
1300 +
1301 +    ;;
1302   mips-*-*)
1303      machdep="mips_sgi_mach_dep.lo"
1304      cat >>confdefs.h <<\_ACEOF
1305 @@ -4595,18 +4782,28 @@
1306  do
1307    # Use a header file that comes with gcc, so configuring glibc
1308    # with a fresh cross-compiler works.
1309 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1310 +  # <limits.h> exists even on freestanding compilers.
1311    # On the NeXT, cc -E runs the code through the compiler's parser,
1312    # not just through cpp. "Syntax error" is here to catch this case.
1313    cat >conftest.$ac_ext <<_ACEOF
1314  #line $LINENO "configure"
1315 -#include "confdefs.h"
1316 -#include <assert.h>
1317 +/* confdefs.h.  */
1318 +_ACEOF
1319 +cat confdefs.h >>conftest.$ac_ext
1320 +cat >>conftest.$ac_ext <<_ACEOF
1321 +/* end confdefs.h.  */
1322 +#ifdef __STDC__
1323 +# include <limits.h>
1324 +#else
1325 +# include <assert.h>
1326 +#endif
1327                       Syntax error
1328  _ACEOF
1329  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
1330    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1331    ac_status=$?
1332 -  egrep -v '^ *\+' conftest.er1 >conftest.err
1333 +  grep -v '^ *+' conftest.er1 >conftest.err
1334    rm -f conftest.er1
1335    cat conftest.err >&5
1336    echo "$as_me:$LINENO: \$? = $ac_status" >&5
1337 @@ -4623,7 +4820,8 @@
1338    :
1339  else
1340    echo "$as_me: failed program was:" >&5
1341 -  cat conftest.$ac_ext >&5
1342 +sed 's/^/| /' conftest.$ac_ext >&5
1343 +
1344    # Broken: fails on valid input.
1345  continue
1346  fi
1347 @@ -4633,13 +4831,17 @@
1348    # can be detected and how.
1349    cat >conftest.$ac_ext <<_ACEOF
1350  #line $LINENO "configure"
1351 -#include "confdefs.h"
1352 +/* confdefs.h.  */
1353 +_ACEOF
1354 +cat confdefs.h >>conftest.$ac_ext
1355 +cat >>conftest.$ac_ext <<_ACEOF
1356 +/* end confdefs.h.  */
1357  #include <ac_nonexistent.h>
1358  _ACEOF
1359  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
1360    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1361    ac_status=$?
1362 -  egrep -v '^ *\+' conftest.er1 >conftest.err
1363 +  grep -v '^ *+' conftest.er1 >conftest.err
1364    rm -f conftest.er1
1365    cat conftest.err >&5
1366    echo "$as_me:$LINENO: \$? = $ac_status" >&5
1367 @@ -4657,7 +4859,8 @@
1368  continue
1369  else
1370    echo "$as_me: failed program was:" >&5
1371 -  cat conftest.$ac_ext >&5
1372 +sed 's/^/| /' conftest.$ac_ext >&5
1373 +
1374    # Passes both tests.
1375  ac_preproc_ok=:
1376  break
1377 @@ -4686,18 +4889,28 @@
1378  do
1379    # Use a header file that comes with gcc, so configuring glibc
1380    # with a fresh cross-compiler works.
1381 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1382 +  # <limits.h> exists even on freestanding compilers.
1383    # On the NeXT, cc -E runs the code through the compiler's parser,
1384    # not just through cpp. "Syntax error" is here to catch this case.
1385    cat >conftest.$ac_ext <<_ACEOF
1386  #line $LINENO "configure"
1387 -#include "confdefs.h"
1388 -#include <assert.h>
1389 +/* confdefs.h.  */
1390 +_ACEOF
1391 +cat confdefs.h >>conftest.$ac_ext
1392 +cat >>conftest.$ac_ext <<_ACEOF
1393 +/* end confdefs.h.  */
1394 +#ifdef __STDC__
1395 +# include <limits.h>
1396 +#else
1397 +# include <assert.h>
1398 +#endif
1399                       Syntax error
1400  _ACEOF
1401  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
1402    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1403    ac_status=$?
1404 -  egrep -v '^ *\+' conftest.er1 >conftest.err
1405 +  grep -v '^ *+' conftest.er1 >conftest.err
1406    rm -f conftest.er1
1407    cat conftest.err >&5
1408    echo "$as_me:$LINENO: \$? = $ac_status" >&5
1409 @@ -4714,7 +4927,8 @@
1410    :
1411  else
1412    echo "$as_me: failed program was:" >&5
1413 -  cat conftest.$ac_ext >&5
1414 +sed 's/^/| /' conftest.$ac_ext >&5
1415 +
1416    # Broken: fails on valid input.
1417  continue
1418  fi
1419 @@ -4724,13 +4938,17 @@
1420    # can be detected and how.
1421    cat >conftest.$ac_ext <<_ACEOF
1422  #line $LINENO "configure"
1423 -#include "confdefs.h"
1424 +/* confdefs.h.  */
1425 +_ACEOF
1426 +cat confdefs.h >>conftest.$ac_ext
1427 +cat >>conftest.$ac_ext <<_ACEOF
1428 +/* end confdefs.h.  */
1429  #include <ac_nonexistent.h>
1430  _ACEOF
1431  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
1432    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1433    ac_status=$?
1434 -  egrep -v '^ *\+' conftest.er1 >conftest.err
1435 +  grep -v '^ *+' conftest.er1 >conftest.err
1436    rm -f conftest.er1
1437    cat conftest.err >&5
1438    echo "$as_me:$LINENO: \$? = $ac_status" >&5
1439 @@ -4748,7 +4966,8 @@
1440  continue
1441  else
1442    echo "$as_me: failed program was:" >&5
1443 -  cat conftest.$ac_ext >&5
1444 +sed 's/^/| /' conftest.$ac_ext >&5
1445 +
1446    # Passes both tests.
1447  ac_preproc_ok=:
1448  break
1449 @@ -4761,8 +4980,10 @@
1450  if $ac_preproc_ok; then
1451    :
1452  else
1453 -  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check" >&5
1454 -echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
1455 +  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
1456 +See \`config.log' for more details." >&5
1457 +echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
1458 +See \`config.log' for more details." >&2;}
1459     { (exit 1); exit 1; }; }
1460  fi
1461  
1462 @@ -4773,6 +4994,21 @@
1463  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1464  
1465  
1466 +echo "$as_me:$LINENO: checking for egrep" >&5
1467 +echo $ECHO_N "checking for egrep... $ECHO_C" >&6
1468 +if test "${ac_cv_prog_egrep+set}" = set; then
1469 +  echo $ECHO_N "(cached) $ECHO_C" >&6
1470 +else
1471 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
1472 +    then ac_cv_prog_egrep='grep -E'
1473 +    else ac_cv_prog_egrep='egrep'
1474 +    fi
1475 +fi
1476 +echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
1477 +echo "${ECHO_T}$ac_cv_prog_egrep" >&6
1478 + EGREP=$ac_cv_prog_egrep
1479 +
1480 +
1481  echo "$as_me:$LINENO: checking for ANSI C header files" >&5
1482  echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
1483  if test "${ac_cv_header_stdc+set}" = set; then
1484 @@ -4780,48 +5016,59 @@
1485  else
1486    cat >conftest.$ac_ext <<_ACEOF
1487  #line $LINENO "configure"
1488 -#include "confdefs.h"
1489 +/* confdefs.h.  */
1490 +_ACEOF
1491 +cat confdefs.h >>conftest.$ac_ext
1492 +cat >>conftest.$ac_ext <<_ACEOF
1493 +/* end confdefs.h.  */
1494  #include <stdlib.h>
1495  #include <stdarg.h>
1496  #include <string.h>
1497  #include <float.h>
1498  
1499 +int
1500 +main ()
1501 +{
1502 +
1503 +  ;
1504 +  return 0;
1505 +}
1506  _ACEOF
1507 -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
1508 -  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1509 +rm -f conftest.$ac_objext
1510 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1511 +  (eval $ac_compile) 2>&5
1512    ac_status=$?
1513 -  egrep -v '^ *\+' conftest.er1 >conftest.err
1514 -  rm -f conftest.er1
1515 -  cat conftest.err >&5
1516    echo "$as_me:$LINENO: \$? = $ac_status" >&5
1517 -  (exit $ac_status); } >/dev/null; then
1518 -  if test -s conftest.err; then
1519 -    ac_cpp_err=$ac_c_preproc_warn_flag
1520 -  else
1521 -    ac_cpp_err=
1522 -  fi
1523 -else
1524 -  ac_cpp_err=yes
1525 -fi
1526 -if test -z "$ac_cpp_err"; then
1527 +  (exit $ac_status); } &&
1528 +         { ac_try='test -s conftest.$ac_objext'
1529 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
1530 +  (eval $ac_try) 2>&5
1531 +  ac_status=$?
1532 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
1533 +  (exit $ac_status); }; }; then
1534    ac_cv_header_stdc=yes
1535  else
1536    echo "$as_me: failed program was:" >&5
1537 -  cat conftest.$ac_ext >&5
1538 -  ac_cv_header_stdc=no
1539 +sed 's/^/| /' conftest.$ac_ext >&5
1540 +
1541 +ac_cv_header_stdc=no
1542  fi
1543 -rm -f conftest.err conftest.$ac_ext
1544 +rm -f conftest.$ac_objext conftest.$ac_ext
1545  
1546  if test $ac_cv_header_stdc = yes; then
1547    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1548    cat >conftest.$ac_ext <<_ACEOF
1549  #line $LINENO "configure"
1550 -#include "confdefs.h"
1551 +/* confdefs.h.  */
1552 +_ACEOF
1553 +cat confdefs.h >>conftest.$ac_ext
1554 +cat >>conftest.$ac_ext <<_ACEOF
1555 +/* end confdefs.h.  */
1556  #include <string.h>
1557  
1558  _ACEOF
1559  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1560 -  egrep "memchr" >/dev/null 2>&1; then
1561 +  $EGREP "memchr" >/dev/null 2>&1; then
1562    :
1563  else
1564    ac_cv_header_stdc=no
1565 @@ -4834,12 +5081,16 @@
1566    # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1567    cat >conftest.$ac_ext <<_ACEOF
1568  #line $LINENO "configure"
1569 -#include "confdefs.h"
1570 +/* confdefs.h.  */
1571 +_ACEOF
1572 +cat confdefs.h >>conftest.$ac_ext
1573 +cat >>conftest.$ac_ext <<_ACEOF
1574 +/* end confdefs.h.  */
1575  #include <stdlib.h>
1576  
1577  _ACEOF
1578  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1579 -  egrep "free" >/dev/null 2>&1; then
1580 +  $EGREP "free" >/dev/null 2>&1; then
1581    :
1582  else
1583    ac_cv_header_stdc=no
1584 @@ -4855,13 +5106,18 @@
1585  else
1586    cat >conftest.$ac_ext <<_ACEOF
1587  #line $LINENO "configure"
1588 -#include "confdefs.h"
1589 +/* confdefs.h.  */
1590 +_ACEOF
1591 +cat confdefs.h >>conftest.$ac_ext
1592 +cat >>conftest.$ac_ext <<_ACEOF
1593 +/* end confdefs.h.  */
1594  #include <ctype.h>
1595  #if ((' ' & 0x0FF) == 0x020)
1596  # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1597  # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1598  #else
1599 -# define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
1600 +# define ISLOWER(c) \
1601 +                   (('a' <= (c) && (c) <= 'i') \
1602                       || ('j' <= (c) && (c) <= 'r') \
1603                       || ('s' <= (c) && (c) <= 'z'))
1604  # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
1605 @@ -4894,11 +5150,12 @@
1606  else
1607    echo "$as_me: program exited with status $ac_status" >&5
1608  echo "$as_me: failed program was:" >&5
1609 -cat conftest.$ac_ext >&5
1610 +sed 's/^/| /' conftest.$ac_ext >&5
1611 +
1612  ( exit $ac_status )
1613  ac_cv_header_stdc=no
1614  fi
1615 -rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
1616 +rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
1617  fi
1618  fi
1619  fi
1620 @@ -4933,7 +5190,11 @@
1621  else
1622    cat >conftest.$ac_ext <<_ACEOF
1623  #line $LINENO "configure"
1624 -#include "confdefs.h"
1625 +/* confdefs.h.  */
1626 +_ACEOF
1627 +cat confdefs.h >>conftest.$ac_ext
1628 +cat >>conftest.$ac_ext <<_ACEOF
1629 +/* end confdefs.h.  */
1630  $ac_includes_default
1631  
1632  #include <$ac_header>
1633 @@ -4953,7 +5214,8 @@
1634    eval "$as_ac_Header=yes"
1635  else
1636    echo "$as_me: failed program was:" >&5
1637 -cat conftest.$ac_ext >&5
1638 +sed 's/^/| /' conftest.$ac_ext >&5
1639 +
1640  eval "$as_ac_Header=no"
1641  fi
1642  rm -f conftest.$ac_objext conftest.$ac_ext
1643 @@ -4988,7 +5250,11 @@
1644  echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
1645  cat >conftest.$ac_ext <<_ACEOF
1646  #line $LINENO "configure"
1647 -#include "confdefs.h"
1648 +/* confdefs.h.  */
1649 +_ACEOF
1650 +cat confdefs.h >>conftest.$ac_ext
1651 +cat >>conftest.$ac_ext <<_ACEOF
1652 +/* end confdefs.h.  */
1653  $ac_includes_default
1654  #include <$ac_header>
1655  _ACEOF
1656 @@ -5007,7 +5273,8 @@
1657    ac_header_compiler=yes
1658  else
1659    echo "$as_me: failed program was:" >&5
1660 -cat conftest.$ac_ext >&5
1661 +sed 's/^/| /' conftest.$ac_ext >&5
1662 +
1663  ac_header_compiler=no
1664  fi
1665  rm -f conftest.$ac_objext conftest.$ac_ext
1666 @@ -5019,13 +5286,17 @@
1667  echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
1668  cat >conftest.$ac_ext <<_ACEOF
1669  #line $LINENO "configure"
1670 -#include "confdefs.h"
1671 +/* confdefs.h.  */
1672 +_ACEOF
1673 +cat confdefs.h >>conftest.$ac_ext
1674 +cat >>conftest.$ac_ext <<_ACEOF
1675 +/* end confdefs.h.  */
1676  #include <$ac_header>
1677  _ACEOF
1678  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
1679    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1680    ac_status=$?
1681 -  egrep -v '^ *\+' conftest.er1 >conftest.err
1682 +  grep -v '^ *+' conftest.er1 >conftest.err
1683    rm -f conftest.er1
1684    cat conftest.err >&5
1685    echo "$as_me:$LINENO: \$? = $ac_status" >&5
1686 @@ -5042,7 +5313,8 @@
1687    ac_header_preproc=yes
1688  else
1689    echo "$as_me: failed program was:" >&5
1690 -  cat conftest.$ac_ext >&5
1691 +sed 's/^/| /' conftest.$ac_ext >&5
1692 +
1693    ac_header_preproc=no
1694  fi
1695  rm -f conftest.err conftest.$ac_ext
1696 @@ -5055,14 +5327,32 @@
1697      { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
1698  echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
1699      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
1700 -echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
1701 +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
1702 +    (
1703 +      cat <<\_ASBOX
1704 +## ------------------------------------ ##
1705 +## Report this to bug-autoconf@gnu.org. ##
1706 +## ------------------------------------ ##
1707 +_ASBOX
1708 +    ) |
1709 +      sed "s/^/$as_me: WARNING:     /" >&2
1710 +    ;;
1711    no:yes )
1712      { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
1713  echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
1714      { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
1715  echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
1716      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
1717 -echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
1718 +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
1719 +    (
1720 +      cat <<\_ASBOX
1721 +## ------------------------------------ ##
1722 +## Report this to bug-autoconf@gnu.org. ##
1723 +## ------------------------------------ ##
1724 +_ASBOX
1725 +    ) |
1726 +      sed "s/^/$as_me: WARNING:     /" >&2
1727 +    ;;
1728  esac
1729  echo "$as_me:$LINENO: checking for $ac_header" >&5
1730  echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
1731 @@ -5403,7 +5693,7 @@
1732  case $host in
1733  *-*-irix6*)
1734    # Find out which ABI we are using.
1735 -  echo '#line 5406 "configure"' > conftest.$ac_ext
1736 +  echo '#line 5696 "configure"' > conftest.$ac_ext
1737    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1738    (eval $ac_compile) 2>&5
1739    ac_status=$?
1740 @@ -5443,14 +5733,12 @@
1741  
1742       cat >conftest.$ac_ext <<_ACEOF
1743  #line $LINENO "configure"
1744 -#include "confdefs.h"
1745 +/* confdefs.h.  */
1746 +_ACEOF
1747 +cat confdefs.h >>conftest.$ac_ext
1748 +cat >>conftest.$ac_ext <<_ACEOF
1749 +/* end confdefs.h.  */
1750  
1751 -#ifdef F77_DUMMY_MAIN
1752 -#  ifdef __cplusplus
1753 -     extern "C"
1754 -#  endif
1755 -   int F77_DUMMY_MAIN() { return 1; }
1756 -#endif
1757  int
1758  main ()
1759  {
1760 @@ -5474,7 +5762,8 @@
1761    lt_cv_cc_needs_belf=yes
1762  else
1763    echo "$as_me: failed program was:" >&5
1764 -cat conftest.$ac_ext >&5
1765 +sed 's/^/| /' conftest.$ac_ext >&5
1766 +
1767  lt_cv_cc_needs_belf=no
1768  fi
1769  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
1770 @@ -5777,14 +6066,12 @@
1771      CFLAGS="$CFLAGS $lt_cv_prog_cc_pic -DPIC"
1772      cat >conftest.$ac_ext <<_ACEOF
1773  #line $LINENO "configure"
1774 -#include "confdefs.h"
1775 +/* confdefs.h.  */
1776 +_ACEOF
1777 +cat confdefs.h >>conftest.$ac_ext
1778 +cat >>conftest.$ac_ext <<_ACEOF
1779 +/* end confdefs.h.  */
1780  
1781 -#ifdef F77_DUMMY_MAIN
1782 -#  ifdef __cplusplus
1783 -     extern "C"
1784 -#  endif
1785 -   int F77_DUMMY_MAIN() { return 1; }
1786 -#endif
1787  int
1788  main ()
1789  {
1790 @@ -5823,7 +6110,8 @@
1791  
1792  else
1793    echo "$as_me: failed program was:" >&5
1794 -cat conftest.$ac_ext >&5
1795 +sed 's/^/| /' conftest.$ac_ext >&5
1796 +
1797        lt_cv_prog_cc_pic_works=no
1798  
1799  fi
1800 @@ -5866,14 +6154,12 @@
1801    LDFLAGS="$LDFLAGS $lt_cv_prog_cc_static"
1802    cat >conftest.$ac_ext <<_ACEOF
1803  #line $LINENO "configure"
1804 -#include "confdefs.h"
1805 +/* confdefs.h.  */
1806 +_ACEOF
1807 +cat confdefs.h >>conftest.$ac_ext
1808 +cat >>conftest.$ac_ext <<_ACEOF
1809 +/* end confdefs.h.  */
1810  
1811 -#ifdef F77_DUMMY_MAIN
1812 -#  ifdef __cplusplus
1813 -     extern "C"
1814 -#  endif
1815 -   int F77_DUMMY_MAIN() { return 1; }
1816 -#endif
1817  int
1818  main ()
1819  {
1820 @@ -5897,7 +6183,8 @@
1821    lt_cv_prog_cc_static_works=yes
1822  else
1823    echo "$as_me: failed program was:" >&5
1824 -cat conftest.$ac_ext >&5
1825 +sed 's/^/| /' conftest.$ac_ext >&5
1826 +
1827  fi
1828  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
1829    LDFLAGS="$save_LDFLAGS"
1830 @@ -5939,7 +6226,7 @@
1831  save_CFLAGS="$CFLAGS"
1832  CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
1833  compiler_c_o=no
1834 -if { (eval echo configure:5942: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
1835 +if { (eval echo configure:6229: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
1836    # The compiler can only warn and ignore the option if not recognized
1837    # So say no if there are warnings
1838    if test -s out/conftest.err; then
1839 @@ -5981,14 +6268,12 @@
1840    ac_objext=lo
1841    cat >conftest.$ac_ext <<_ACEOF
1842  #line $LINENO "configure"
1843 -#include "confdefs.h"
1844 +/* confdefs.h.  */
1845 +_ACEOF
1846 +cat confdefs.h >>conftest.$ac_ext
1847 +cat >>conftest.$ac_ext <<_ACEOF
1848 +/* end confdefs.h.  */
1849  
1850 -#ifdef F77_DUMMY_MAIN
1851 -#  ifdef __cplusplus
1852 -     extern "C"
1853 -#  endif
1854 -   int F77_DUMMY_MAIN() { return 1; }
1855 -#endif
1856  int
1857  main ()
1858  {
1859 @@ -6019,7 +6304,8 @@
1860  
1861  else
1862    echo "$as_me: failed program was:" >&5
1863 -cat conftest.$ac_ext >&5
1864 +sed 's/^/| /' conftest.$ac_ext >&5
1865 +
1866  fi
1867  rm -f conftest.$ac_objext conftest.$ac_ext
1868    ac_objext="$save_objext"
1869 @@ -6067,14 +6353,12 @@
1870    compiler_rtti_exceptions=no
1871    cat >conftest.$ac_ext <<_ACEOF
1872  #line $LINENO "configure"
1873 -#include "confdefs.h"
1874 +/* confdefs.h.  */
1875 +_ACEOF
1876 +cat confdefs.h >>conftest.$ac_ext
1877 +cat >>conftest.$ac_ext <<_ACEOF
1878 +/* end confdefs.h.  */
1879  
1880 -#ifdef F77_DUMMY_MAIN
1881 -#  ifdef __cplusplus
1882 -     extern "C"
1883 -#  endif
1884 -   int F77_DUMMY_MAIN() { return 1; }
1885 -#endif
1886  int
1887  main ()
1888  {
1889 @@ -6105,7 +6389,8 @@
1890  
1891  else
1892    echo "$as_me: failed program was:" >&5
1893 -cat conftest.$ac_ext >&5
1894 +sed 's/^/| /' conftest.$ac_ext >&5
1895 +
1896  fi
1897  rm -f conftest.$ac_objext conftest.$ac_ext
1898    CFLAGS="$save_CFLAGS"
1899 @@ -7326,37 +7611,44 @@
1900  else
1901    cat >conftest.$ac_ext <<_ACEOF
1902  #line $LINENO "configure"
1903 -#include "confdefs.h"
1904 +/* confdefs.h.  */
1905 +_ACEOF
1906 +cat confdefs.h >>conftest.$ac_ext
1907 +cat >>conftest.$ac_ext <<_ACEOF
1908 +/* end confdefs.h.  */
1909  /* System header to define __stub macros and hopefully few prototypes,
1910 -    which can conflict with char shl_load (); below.  */
1911 -#include <assert.h>
1912 +    which can conflict with char shl_load (); below.
1913 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
1914 +    <limits.h> exists even on freestanding compilers.  */
1915 +#ifdef __STDC__
1916 +# include <limits.h>
1917 +#else
1918 +# include <assert.h>
1919 +#endif
1920  /* Override any gcc2 internal prototype to avoid an error.  */
1921  #ifdef __cplusplus
1922  extern "C"
1923 +{
1924  #endif
1925  /* We use char because int might match the return type of a gcc2
1926     builtin and then its argument prototype would still apply.  */
1927  char shl_load ();
1928 -char (*f) ();
1929 -
1930 -#ifdef F77_DUMMY_MAIN
1931 -#  ifdef __cplusplus
1932 -     extern "C"
1933 -#  endif
1934 -   int F77_DUMMY_MAIN() { return 1; }
1935 -#endif
1936 -int
1937 -main ()
1938 -{
1939  /* The GNU C library defines this for functions which it implements
1940      to always fail with ENOSYS.  Some functions are actually named
1941      something starting with __ and the normal name is an alias.  */
1942  #if defined (__stub_shl_load) || defined (__stub___shl_load)
1943  choke me
1944  #else
1945 -f = shl_load;
1946 +char (*f) () = shl_load;
1947 +#endif
1948 +#ifdef __cplusplus
1949 +}
1950  #endif
1951  
1952 +int
1953 +main ()
1954 +{
1955 +return f != shl_load;
1956    ;
1957    return 0;
1958  }
1959 @@ -7376,7 +7668,8 @@
1960    ac_cv_func_shl_load=yes
1961  else
1962    echo "$as_me: failed program was:" >&5
1963 -cat conftest.$ac_ext >&5
1964 +sed 's/^/| /' conftest.$ac_ext >&5
1965 +
1966  ac_cv_func_shl_load=no
1967  fi
1968  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
1969 @@ -7395,7 +7688,11 @@
1970  LIBS="-ldld  $LIBS"
1971  cat >conftest.$ac_ext <<_ACEOF
1972  #line $LINENO "configure"
1973 -#include "confdefs.h"
1974 +/* confdefs.h.  */
1975 +_ACEOF
1976 +cat confdefs.h >>conftest.$ac_ext
1977 +cat >>conftest.$ac_ext <<_ACEOF
1978 +/* end confdefs.h.  */
1979  
1980  /* Override any gcc2 internal prototype to avoid an error.  */
1981  #ifdef __cplusplus
1982 @@ -7404,12 +7701,6 @@
1983  /* We use char because int might match the return type of a gcc2
1984     builtin and then its argument prototype would still apply.  */
1985  char shl_load ();
1986 -#ifdef F77_DUMMY_MAIN
1987 -#  ifdef __cplusplus
1988 -     extern "C"
1989 -#  endif
1990 -   int F77_DUMMY_MAIN() { return 1; }
1991 -#endif
1992  int
1993  main ()
1994  {
1995 @@ -7433,7 +7724,8 @@
1996    ac_cv_lib_dld_shl_load=yes
1997  else
1998    echo "$as_me: failed program was:" >&5
1999 -cat conftest.$ac_ext >&5
2000 +sed 's/^/| /' conftest.$ac_ext >&5
2001 +
2002  ac_cv_lib_dld_shl_load=no
2003  fi
2004  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2005 @@ -7451,37 +7743,44 @@
2006  else
2007    cat >conftest.$ac_ext <<_ACEOF
2008  #line $LINENO "configure"
2009 -#include "confdefs.h"
2010 +/* confdefs.h.  */
2011 +_ACEOF
2012 +cat confdefs.h >>conftest.$ac_ext
2013 +cat >>conftest.$ac_ext <<_ACEOF
2014 +/* end confdefs.h.  */
2015  /* System header to define __stub macros and hopefully few prototypes,
2016 -    which can conflict with char dlopen (); below.  */
2017 -#include <assert.h>
2018 +    which can conflict with char dlopen (); below.
2019 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2020 +    <limits.h> exists even on freestanding compilers.  */
2021 +#ifdef __STDC__
2022 +# include <limits.h>
2023 +#else
2024 +# include <assert.h>
2025 +#endif
2026  /* Override any gcc2 internal prototype to avoid an error.  */
2027  #ifdef __cplusplus
2028  extern "C"
2029 +{
2030  #endif
2031  /* We use char because int might match the return type of a gcc2
2032     builtin and then its argument prototype would still apply.  */
2033  char dlopen ();
2034 -char (*f) ();
2035 -
2036 -#ifdef F77_DUMMY_MAIN
2037 -#  ifdef __cplusplus
2038 -     extern "C"
2039 -#  endif
2040 -   int F77_DUMMY_MAIN() { return 1; }
2041 -#endif
2042 -int
2043 -main ()
2044 -{
2045  /* The GNU C library defines this for functions which it implements
2046      to always fail with ENOSYS.  Some functions are actually named
2047      something starting with __ and the normal name is an alias.  */
2048  #if defined (__stub_dlopen) || defined (__stub___dlopen)
2049  choke me
2050  #else
2051 -f = dlopen;
2052 +char (*f) () = dlopen;
2053 +#endif
2054 +#ifdef __cplusplus
2055 +}
2056  #endif
2057  
2058 +int
2059 +main ()
2060 +{
2061 +return f != dlopen;
2062    ;
2063    return 0;
2064  }
2065 @@ -7501,7 +7800,8 @@
2066    ac_cv_func_dlopen=yes
2067  else
2068    echo "$as_me: failed program was:" >&5
2069 -cat conftest.$ac_ext >&5
2070 +sed 's/^/| /' conftest.$ac_ext >&5
2071 +
2072  ac_cv_func_dlopen=no
2073  fi
2074  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2075 @@ -7520,7 +7820,11 @@
2076  LIBS="-ldl  $LIBS"
2077  cat >conftest.$ac_ext <<_ACEOF
2078  #line $LINENO "configure"
2079 -#include "confdefs.h"
2080 +/* confdefs.h.  */
2081 +_ACEOF
2082 +cat confdefs.h >>conftest.$ac_ext
2083 +cat >>conftest.$ac_ext <<_ACEOF
2084 +/* end confdefs.h.  */
2085  
2086  /* Override any gcc2 internal prototype to avoid an error.  */
2087  #ifdef __cplusplus
2088 @@ -7529,12 +7833,6 @@
2089  /* We use char because int might match the return type of a gcc2
2090     builtin and then its argument prototype would still apply.  */
2091  char dlopen ();
2092 -#ifdef F77_DUMMY_MAIN
2093 -#  ifdef __cplusplus
2094 -     extern "C"
2095 -#  endif
2096 -   int F77_DUMMY_MAIN() { return 1; }
2097 -#endif
2098  int
2099  main ()
2100  {
2101 @@ -7558,7 +7856,8 @@
2102    ac_cv_lib_dl_dlopen=yes
2103  else
2104    echo "$as_me: failed program was:" >&5
2105 -cat conftest.$ac_ext >&5
2106 +sed 's/^/| /' conftest.$ac_ext >&5
2107 +
2108  ac_cv_lib_dl_dlopen=no
2109  fi
2110  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2111 @@ -7578,7 +7877,11 @@
2112  LIBS="-lsvld  $LIBS"
2113  cat >conftest.$ac_ext <<_ACEOF
2114  #line $LINENO "configure"
2115 -#include "confdefs.h"
2116 +/* confdefs.h.  */
2117 +_ACEOF
2118 +cat confdefs.h >>conftest.$ac_ext
2119 +cat >>conftest.$ac_ext <<_ACEOF
2120 +/* end confdefs.h.  */
2121  
2122  /* Override any gcc2 internal prototype to avoid an error.  */
2123  #ifdef __cplusplus
2124 @@ -7587,12 +7890,6 @@
2125  /* We use char because int might match the return type of a gcc2
2126     builtin and then its argument prototype would still apply.  */
2127  char dlopen ();
2128 -#ifdef F77_DUMMY_MAIN
2129 -#  ifdef __cplusplus
2130 -     extern "C"
2131 -#  endif
2132 -   int F77_DUMMY_MAIN() { return 1; }
2133 -#endif
2134  int
2135  main ()
2136  {
2137 @@ -7616,7 +7913,8 @@
2138    ac_cv_lib_svld_dlopen=yes
2139  else
2140    echo "$as_me: failed program was:" >&5
2141 -cat conftest.$ac_ext >&5
2142 +sed 's/^/| /' conftest.$ac_ext >&5
2143 +
2144  ac_cv_lib_svld_dlopen=no
2145  fi
2146  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2147 @@ -7636,7 +7934,11 @@
2148  LIBS="-ldld  $LIBS"
2149  cat >conftest.$ac_ext <<_ACEOF
2150  #line $LINENO "configure"
2151 -#include "confdefs.h"
2152 +/* confdefs.h.  */
2153 +_ACEOF
2154 +cat confdefs.h >>conftest.$ac_ext
2155 +cat >>conftest.$ac_ext <<_ACEOF
2156 +/* end confdefs.h.  */
2157  
2158  /* Override any gcc2 internal prototype to avoid an error.  */
2159  #ifdef __cplusplus
2160 @@ -7645,12 +7947,6 @@
2161  /* We use char because int might match the return type of a gcc2
2162     builtin and then its argument prototype would still apply.  */
2163  char dld_link ();
2164 -#ifdef F77_DUMMY_MAIN
2165 -#  ifdef __cplusplus
2166 -     extern "C"
2167 -#  endif
2168 -   int F77_DUMMY_MAIN() { return 1; }
2169 -#endif
2170  int
2171  main ()
2172  {
2173 @@ -7674,7 +7970,8 @@
2174    ac_cv_lib_dld_dld_link=yes
2175  else
2176    echo "$as_me: failed program was:" >&5
2177 -cat conftest.$ac_ext >&5
2178 +sed 's/^/| /' conftest.$ac_ext >&5
2179 +
2180  ac_cv_lib_dld_dld_link=no
2181  fi
2182  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
2183 @@ -7732,7 +8029,7 @@
2184      lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2185    lt_status=$lt_dlunknown
2186    cat > conftest.$ac_ext <<EOF
2187 -#line 7735 "configure"
2188 +#line 8032 "configure"
2189  #include "confdefs.h"
2190  
2191  #if HAVE_DLFCN_H
2192 @@ -7830,7 +8127,7 @@
2193      lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2194    lt_status=$lt_dlunknown
2195    cat > conftest.$ac_ext <<EOF
2196 -#line 7833 "configure"
2197 +#line 8130 "configure"
2198  #include "confdefs.h"
2199  
2200  #if HAVE_DLFCN_H
2201 @@ -8575,7 +8872,11 @@
2202  echo $ECHO_N "checking sys/dg_sys_info.h usability... $ECHO_C" >&6
2203  cat >conftest.$ac_ext <<_ACEOF
2204  #line $LINENO "configure"
2205 -#include "confdefs.h"
2206 +/* confdefs.h.  */
2207 +_ACEOF
2208 +cat confdefs.h >>conftest.$ac_ext
2209 +cat >>conftest.$ac_ext <<_ACEOF
2210 +/* end confdefs.h.  */
2211  $ac_includes_default
2212  #include <sys/dg_sys_info.h>
2213  _ACEOF
2214 @@ -8594,7 +8895,8 @@
2215    ac_header_compiler=yes
2216  else
2217    echo "$as_me: failed program was:" >&5
2218 -cat conftest.$ac_ext >&5
2219 +sed 's/^/| /' conftest.$ac_ext >&5
2220 +
2221  ac_header_compiler=no
2222  fi
2223  rm -f conftest.$ac_objext conftest.$ac_ext
2224 @@ -8606,13 +8908,17 @@
2225  echo $ECHO_N "checking sys/dg_sys_info.h presence... $ECHO_C" >&6
2226  cat >conftest.$ac_ext <<_ACEOF
2227  #line $LINENO "configure"
2228 -#include "confdefs.h"
2229 +/* confdefs.h.  */
2230 +_ACEOF
2231 +cat confdefs.h >>conftest.$ac_ext
2232 +cat >>conftest.$ac_ext <<_ACEOF
2233 +/* end confdefs.h.  */
2234  #include <sys/dg_sys_info.h>
2235  _ACEOF
2236  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2237    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
2238    ac_status=$?
2239 -  egrep -v '^ *\+' conftest.er1 >conftest.err
2240 +  grep -v '^ *+' conftest.er1 >conftest.err
2241    rm -f conftest.er1
2242    cat conftest.err >&5
2243    echo "$as_me:$LINENO: \$? = $ac_status" >&5
2244 @@ -8629,7 +8935,8 @@
2245    ac_header_preproc=yes
2246  else
2247    echo "$as_me: failed program was:" >&5
2248 -  cat conftest.$ac_ext >&5
2249 +sed 's/^/| /' conftest.$ac_ext >&5
2250 +
2251    ac_header_preproc=no
2252  fi
2253  rm -f conftest.err conftest.$ac_ext
2254 @@ -8642,14 +8949,32 @@
2255      { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: accepted by the compiler, rejected by the preprocessor!" >&5
2256  echo "$as_me: WARNING: sys/dg_sys_info.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
2257      { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&5
2258 -echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;};;
2259 +echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;}
2260 +    (
2261 +      cat <<\_ASBOX
2262 +## ------------------------------------ ##
2263 +## Report this to bug-autoconf@gnu.org. ##
2264 +## ------------------------------------ ##
2265 +_ASBOX
2266 +    ) |
2267 +      sed "s/^/$as_me: WARNING:     /" >&2
2268 +    ;;
2269    no:yes )
2270      { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: present but cannot be compiled" >&5
2271  echo "$as_me: WARNING: sys/dg_sys_info.h: present but cannot be compiled" >&2;}
2272      { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: check for missing prerequisite headers?" >&5
2273  echo "$as_me: WARNING: sys/dg_sys_info.h: check for missing prerequisite headers?" >&2;}
2274      { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&5
2275 -echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;};;
2276 +echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;}
2277 +    (
2278 +      cat <<\_ASBOX
2279 +## ------------------------------------ ##
2280 +## Report this to bug-autoconf@gnu.org. ##
2281 +## ------------------------------------ ##
2282 +_ASBOX
2283 +    ) |
2284 +      sed "s/^/$as_me: WARNING:     /" >&2
2285 +    ;;
2286  esac
2287  echo "$as_me:$LINENO: checking for sys/dg_sys_info.h" >&5
2288  echo $ECHO_N "checking for sys/dg_sys_info.h... $ECHO_C" >&6
2289 @@ -8880,8 +9205,8 @@
2290  fi
2291  
2292  
2293 -ac_config_files="$ac_config_files Makefile doc/Makefile include/Makefile"
2294 -ac_config_commands="$ac_config_commands default"
2295 +                              ac_config_files="$ac_config_files Makefile doc/Makefile include/Makefile"
2296 +          ac_config_commands="$ac_config_commands default"
2297  cat >confcache <<\_ACEOF
2298  # This file is a shell script that caches the results of configure
2299  # tests run on this system so they can be shared between configure
2300 @@ -8892,7 +9217,7 @@
2301  # config.status only pays attention to the cache file if you give it
2302  # the --recheck option to rerun configure.
2303  #
2304 -# `ac_cv_env_foo' variables (set or unset) will be overriden when
2305 +# `ac_cv_env_foo' variables (set or unset) will be overridden when
2306  # loading this file, other *unset* `ac_cv_foo' will be assigned the
2307  # following values.
2308  
2309 @@ -8927,7 +9252,7 @@
2310       t end
2311       /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
2312       : end' >>confcache
2313 -if cmp -s $cache_file confcache; then :; else
2314 +if diff $cache_file confcache >/dev/null 2>&1; then :; else
2315    if test -w $cache_file; then
2316      test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
2317      cat confcache >$cache_file
2318 @@ -8989,6 +9314,21 @@
2319  rm -f confdef2opt.sed
2320  
2321  
2322 +ac_libobjs=
2323 +ac_ltlibobjs=
2324 +for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
2325 +  # 1. Remove the extension, and $U if already installed.
2326 +  ac_i=`echo "$ac_i" |
2327 +         sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
2328 +  # 2. Add them.
2329 +  ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
2330 +  ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
2331 +done
2332 +LIBOBJS=$ac_libobjs
2333 +
2334 +LTLIBOBJS=$ac_ltlibobjs
2335 +
2336 +
2337  if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
2338    { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
2339  Usually this means the macro was only invoked conditionally." >&5
2340 @@ -9038,11 +9378,12 @@
2341  # configure, is in config.log if it exists.
2342  
2343  debug=false
2344 +ac_cs_recheck=false
2345 +ac_cs_silent=false
2346  SHELL=\${CONFIG_SHELL-$SHELL}
2347  _ACEOF
2348  
2349  cat >>$CONFIG_STATUS <<\_ACEOF
2350 -
2351  ## --------------------- ##
2352  ## M4sh Initialization.  ##
2353  ## --------------------- ##
2354 @@ -9051,11 +9392,13 @@
2355  if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
2356    emulate sh
2357    NULLCMD=:
2358 +  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
2359 +  # is contrary to our usage.  Disable this feature.
2360 +  alias -g '${1+"$@"}'='"$@"'
2361  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
2362    set -o posix
2363  fi
2364  
2365 -# NLS nuisances.
2366  # Support unset when possible.
2367  if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
2368    as_unset=unset
2369 @@ -9063,34 +9406,42 @@
2370    as_unset=false
2371  fi
2372  
2373 -(set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
2374 -    { $as_unset LANG || test "${LANG+set}" != set; } ||
2375 -      { LANG=C; export LANG; }
2376 -(set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
2377 -    { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
2378 -      { LC_ALL=C; export LC_ALL; }
2379 -(set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
2380 -    { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
2381 -      { LC_TIME=C; export LC_TIME; }
2382 -(set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
2383 -    { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
2384 -      { LC_CTYPE=C; export LC_CTYPE; }
2385 -(set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
2386 -    { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
2387 -      { LANGUAGE=C; export LANGUAGE; }
2388 -(set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
2389 -    { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
2390 -      { LC_COLLATE=C; export LC_COLLATE; }
2391 -(set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
2392 -    { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
2393 -      { LC_NUMERIC=C; export LC_NUMERIC; }
2394 -(set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
2395 -    { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
2396 -      { LC_MESSAGES=C; export LC_MESSAGES; }
2397 +
2398 +# Work around bugs in pre-3.0 UWIN ksh.
2399 +$as_unset ENV MAIL MAILPATH
2400 +PS1='$ '
2401 +PS2='> '
2402 +PS4='+ '
2403 +
2404 +# NLS nuisances.
2405 +for as_var in \
2406 +  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
2407 +  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
2408 +  LC_TELEPHONE LC_TIME
2409 +do
2410 +  if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
2411 +    eval $as_var=C; export $as_var
2412 +  else
2413 +    $as_unset $as_var
2414 +  fi
2415 +done
2416 +
2417 +# Required to use basename.
2418 +if expr a : '\(a\)' >/dev/null 2>&1; then
2419 +  as_expr=expr
2420 +else
2421 +  as_expr=false
2422 +fi
2423 +
2424 +if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
2425 +  as_basename=basename
2426 +else
2427 +  as_basename=false
2428 +fi
2429  
2430  
2431  # Name of the executable.
2432 -as_me=`(basename "$0") 2>/dev/null ||
2433 +as_me=`$as_basename "$0" ||
2434  $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
2435          X"$0" : 'X\(//\)$' \| \
2436          X"$0" : 'X\(/\)$' \| \
2437 @@ -9101,6 +9452,7 @@
2438           /^X\/\(\/\).*/{ s//\1/; q; }
2439           s/.*/./; q'`
2440  
2441 +
2442  # PATH needs CR, and LINENO needs CR and PATH.
2443  # Avoid depending upon Character Ranges.
2444  as_cr_letters='abcdefghijklmnopqrstuvwxyz'
2445 @@ -9111,15 +9463,15 @@
2446  
2447  # The user is always right.
2448  if test "${PATH_SEPARATOR+set}" != set; then
2449 -  echo "#! /bin/sh" >conftest.sh
2450 -  echo  "exit 0"   >>conftest.sh
2451 -  chmod +x conftest.sh
2452 -  if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
2453 +  echo "#! /bin/sh" >conf$$.sh
2454 +  echo  "exit 0"   >>conf$$.sh
2455 +  chmod +x conf$$.sh
2456 +  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
2457      PATH_SEPARATOR=';'
2458    else
2459      PATH_SEPARATOR=:
2460    fi
2461 -  rm -f conftest.sh
2462 +  rm -f conf$$.sh
2463  fi
2464  
2465  
2466 @@ -9168,6 +9520,8 @@
2467    as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
2468    test "x$as_lineno_1" != "x$as_lineno_2" &&
2469    test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
2470 +            $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
2471 +            $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
2472              CONFIG_SHELL=$as_dir/$as_base
2473              export CONFIG_SHELL
2474              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
2475 @@ -9241,6 +9595,12 @@
2476  fi
2477  rm -f conf$$ conf$$.exe conf$$.file
2478  
2479 +if mkdir -p . 2>/dev/null; then
2480 +  as_mkdir_p=:
2481 +else
2482 +  as_mkdir_p=false
2483 +fi
2484 +
2485  as_executable_p="test -f"
2486  
2487  # Sed expression to map a string onto a valid CPP name.
2488 @@ -9257,7 +9617,7 @@
2489  IFS="  $as_nl"
2490  
2491  # CDPATH.
2492 -$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
2493 +$as_unset CDPATH
2494  
2495  exec 6>&1
2496  
2497 @@ -9274,7 +9634,7 @@
2498  cat >&5 <<_CSEOF
2499  
2500  This file was extended by gc $as_me 6.3alpha2, which was
2501 -generated by GNU Autoconf 2.53.  Invocation command line was
2502 +generated by GNU Autoconf 2.57.  Invocation command line was
2503  
2504    CONFIG_FILES    = $CONFIG_FILES
2505    CONFIG_HEADERS  = $CONFIG_HEADERS
2506 @@ -9314,6 +9674,7 @@
2507  
2508    -h, --help       print this help, then exit
2509    -V, --version    print version number, then exit
2510 +  -q, --quiet      do not print progress messages
2511    -d, --debug      don't remove temporary files
2512        --recheck    update $as_me by reconfiguring in the same conditions
2513    --file=FILE[:TEMPLATE]
2514 @@ -9331,7 +9692,7 @@
2515  cat >>$CONFIG_STATUS <<_ACEOF
2516  ac_cs_version="\\
2517  gc config.status 6.3alpha2
2518 -configured by $0, generated by GNU Autoconf 2.53,
2519 +configured by $0, generated by GNU Autoconf 2.57,
2520    with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
2521  
2522  Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
2523 @@ -9352,25 +9713,25 @@
2524    --*=*)
2525      ac_option=`expr "x$1" : 'x\([^=]*\)='`
2526      ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
2527 -    shift
2528 -    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
2529 -    shift
2530 +    ac_shift=:
2531 +    ;;
2532 +  -*)
2533 +    ac_option=$1
2534 +    ac_optarg=$2
2535 +    ac_shift=shift
2536      ;;
2537 -  -*);;
2538    *) # This is not an option, so the user has probably given explicit
2539       # arguments.
2540 +     ac_option=$1
2541       ac_need_defaults=false;;
2542    esac
2543  
2544 -  case $1 in
2545 +  case $ac_option in
2546    # Handling of the options.
2547  _ACEOF
2548 -cat >>$CONFIG_STATUS <<_ACEOF
2549 -  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2550 -    echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion"
2551 -    exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;;
2552 -_ACEOF
2553  cat >>$CONFIG_STATUS <<\_ACEOF
2554 +  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2555 +    ac_cs_recheck=: ;;
2556    --version | --vers* | -V )
2557      echo "$ac_cs_version"; exit 0 ;;
2558    --he | --h)
2559 @@ -9385,13 +9746,16 @@
2560    --debug | --d* | -d )
2561      debug=: ;;
2562    --file | --fil | --fi | --f )
2563 -    shift
2564 -    CONFIG_FILES="$CONFIG_FILES $1"
2565 +    $ac_shift
2566 +    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
2567      ac_need_defaults=false;;
2568    --header | --heade | --head | --hea )
2569 -    shift
2570 -    CONFIG_HEADERS="$CONFIG_HEADERS $1"
2571 +    $ac_shift
2572 +    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
2573      ac_need_defaults=false;;
2574 +  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
2575 +  | -silent | --silent | --silen | --sile | --sil | --si | --s)
2576 +    ac_cs_silent=: ;;
2577  
2578    # This is an error.
2579    -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
2580 @@ -9406,6 +9770,20 @@
2581    shift
2582  done
2583  
2584 +ac_configure_extra_args=
2585 +
2586 +if $ac_cs_silent; then
2587 +  exec 6>/dev/null
2588 +  ac_configure_extra_args="$ac_configure_extra_args --silent"
2589 +fi
2590 +
2591 +_ACEOF
2592 +cat >>$CONFIG_STATUS <<_ACEOF
2593 +if \$ac_cs_recheck; then
2594 +  echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
2595 +  exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
2596 +fi
2597 +
2598  _ACEOF
2599  
2600  cat >>$CONFIG_STATUS <<_ACEOF
2601 @@ -9450,6 +9828,9 @@
2602    test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
2603  fi
2604  
2605 +# Have a temporary directory for convenience.  Make it in the build tree
2606 +# simply because there is no reason to put it here, and in addition,
2607 +# creating and moving files from /tmp can sometimes cause problems.
2608  # Create a temporary directory, and hook for its removal unless debugging.
2609  $debug ||
2610  {
2611 @@ -9458,17 +9839,17 @@
2612  }
2613  
2614  # Create a (secure) tmp directory for tmp files.
2615 -: ${TMPDIR=/tmp}
2616 +
2617  {
2618 -  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
2619 +  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
2620    test -n "$tmp" && test -d "$tmp"
2621  }  ||
2622  {
2623 -  tmp=$TMPDIR/cs$$-$RANDOM
2624 +  tmp=./confstat$$-$RANDOM
2625    (umask 077 && mkdir $tmp)
2626  } ||
2627  {
2628 -   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
2629 +   echo "$me: cannot create a temporary directory in ." >&2
2630     { (exit 1); exit 1; }
2631  }
2632  
2633 @@ -9590,10 +9971,13 @@
2634  s,@LN_S@,$LN_S,;t t
2635  s,@ECHO@,$ECHO,;t t
2636  s,@CPP@,$CPP,;t t
2637 +s,@EGREP@,$EGREP,;t t
2638  s,@LIBTOOL@,$LIBTOOL,;t t
2639  s,@MY_CFLAGS@,$MY_CFLAGS,;t t
2640  s,@USE_LIBDIR_TRUE@,$USE_LIBDIR_TRUE,;t t
2641  s,@USE_LIBDIR_FALSE@,$USE_LIBDIR_FALSE,;t t
2642 +s,@LIBOBJS@,$LIBOBJS,;t t
2643 +s,@LTLIBOBJS@,$LTLIBOBJS,;t t
2644  CEOF
2645  
2646  _ACEOF
2647 @@ -9664,25 +10048,30 @@
2648           /^X\(\/\/\)$/{ s//\1/; q; }
2649           /^X\(\/\).*/{ s//\1/; q; }
2650           s/.*/./; q'`
2651 -  { case "$ac_dir" in
2652 -  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
2653 -  *)                      as_incr_dir=.;;
2654 -esac
2655 -as_dummy="$ac_dir"
2656 -for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
2657 -  case $as_mkdir_dir in
2658 -    # Skip DOS drivespec
2659 -    ?:) as_incr_dir=$as_mkdir_dir ;;
2660 -    *)
2661 -      as_incr_dir=$as_incr_dir/$as_mkdir_dir
2662 -      test -d "$as_incr_dir" ||
2663 -        mkdir "$as_incr_dir" ||
2664 -       { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
2665 -echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
2666 -   { (exit 1); exit 1; }; }
2667 -    ;;
2668 -  esac
2669 -done; }
2670 +  { if $as_mkdir_p; then
2671 +    mkdir -p "$ac_dir"
2672 +  else
2673 +    as_dir="$ac_dir"
2674 +    as_dirs=
2675 +    while test ! -d "$as_dir"; do
2676 +      as_dirs="$as_dir $as_dirs"
2677 +      as_dir=`(dirname "$as_dir") 2>/dev/null ||
2678 +$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2679 +         X"$as_dir" : 'X\(//\)[^/]' \| \
2680 +         X"$as_dir" : 'X\(//\)$' \| \
2681 +         X"$as_dir" : 'X\(/\)' \| \
2682 +         .     : '\(.\)' 2>/dev/null ||
2683 +echo X"$as_dir" |
2684 +    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2685 +         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2686 +         /^X\(\/\/\)$/{ s//\1/; q; }
2687 +         /^X\(\/\).*/{ s//\1/; q; }
2688 +         s/.*/./; q'`
2689 +    done
2690 +    test ! -n "$as_dirs" || mkdir $as_dirs
2691 +  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
2692 +echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
2693 +   { (exit 1); exit 1; }; }; }
2694  
2695    ac_builddir=.
2696  
2697 @@ -9712,7 +10101,7 @@
2698  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
2699  # absolute.
2700  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
2701 -ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
2702 +ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
2703  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
2704  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
2705  
2706 @@ -9842,7 +10231,7 @@
2707  # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
2708  # absolute.
2709  ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
2710 -ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
2711 +ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
2712  ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
2713  ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
2714  
2715 @@ -9911,25 +10300,30 @@
2716           /^X\(\/\/\)$/{ s//\1/; q; }
2717           /^X\(\/\).*/{ s//\1/; q; }
2718           s/.*/./; q'`
2719 -    { case $dirpart/$fdir in
2720 -  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
2721 -  *)                      as_incr_dir=.;;
2722 -esac
2723 -as_dummy=$dirpart/$fdir
2724 -for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
2725 -  case $as_mkdir_dir in
2726 -    # Skip DOS drivespec
2727 -    ?:) as_incr_dir=$as_mkdir_dir ;;
2728 -    *)
2729 -      as_incr_dir=$as_incr_dir/$as_mkdir_dir
2730 -      test -d "$as_incr_dir" ||
2731 -        mkdir "$as_incr_dir" ||
2732 -       { { echo "$as_me:$LINENO: error: cannot create $dirpart/$fdir" >&5
2733 -echo "$as_me: error: cannot create $dirpart/$fdir" >&2;}
2734 -   { (exit 1); exit 1; }; }
2735 -    ;;
2736 -  esac
2737 -done; }
2738 +    { if $as_mkdir_p; then
2739 +    mkdir -p $dirpart/$fdir
2740 +  else
2741 +    as_dir=$dirpart/$fdir
2742 +    as_dirs=
2743 +    while test ! -d "$as_dir"; do
2744 +      as_dirs="$as_dir $as_dirs"
2745 +      as_dir=`(dirname "$as_dir") 2>/dev/null ||
2746 +$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2747 +         X"$as_dir" : 'X\(//\)[^/]' \| \
2748 +         X"$as_dir" : 'X\(//\)$' \| \
2749 +         X"$as_dir" : 'X\(/\)' \| \
2750 +         .     : '\(.\)' 2>/dev/null ||
2751 +echo X"$as_dir" |
2752 +    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2753 +         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2754 +         /^X\(\/\/\)$/{ s//\1/; q; }
2755 +         /^X\(\/\).*/{ s//\1/; q; }
2756 +         s/.*/./; q'`
2757 +    done
2758 +    test ! -n "$as_dirs" || mkdir $as_dirs
2759 +  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
2760 +echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
2761 +   { (exit 1); exit 1; }; }; }
2762  
2763      # echo "creating $dirpart/$file"
2764      echo '# dummy' > "$dirpart/$file"
2765 @@ -9958,8 +10352,11 @@
2766  # need to make the FD available again.
2767  if test "$no_create" != yes; then
2768    ac_cs_success=:
2769 +  ac_config_status_args=
2770 +  test "$silent" = yes &&
2771 +    ac_config_status_args="$ac_config_status_args --quiet"
2772    exec 5>/dev/null
2773 -  $SHELL $CONFIG_STATUS || ac_cs_success=false
2774 +  $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2775    exec 5>>config.log
2776    # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2777    # would make configure fail if this is the last instruction.
2778 diff -ruN ../gc6.3alpha2/configure.in ./configure.in
2779 --- ../gc6.3alpha2/configure.in Mon Sep 29 14:13:34 2003
2780 +++ ./configure.in      Wed Nov 19 04:17:15 2003
2781 @@ -275,6 +275,10 @@
2782      ;;
2783   mips*-*-linux*) 
2784      ;; 
2785 + mips-unknown-elf*)
2786 +    machdep="mips2java_mach_dep.lo"
2787 +    AC_DEFINE(MIPS2JAVA)
2788 +    ;;
2789   mips-*-*)
2790      machdep="mips_sgi_mach_dep.lo"
2791      AC_DEFINE(NO_EXECUTE_PERMISSION)
2792 diff -ruN ../gc6.3alpha2/include/private/gcconfig.h ./include/private/gcconfig.h
2793 --- ../gc6.3alpha2/include/private/gcconfig.h   Wed Sep  3 14:16:01 2003
2794 +++ ./include/private/gcconfig.h        Wed Nov 19 04:47:25 2003
2795 @@ -115,7 +115,7 @@
2796  #    if defined(nec_ews) || defined(_nec_ews)
2797  #      define EWS4800
2798  #    endif
2799 -#    if !defined(LINUX) && !defined(EWS4800)
2800 +#    if !defined(LINUX) && !defined(EWS4800) && !defined(MIPS2JAVA)
2801  #      if defined(ultrix) || defined(__ultrix) || defined(__NetBSD__)
2802  #       define ULTRIX
2803  #      else
2804 @@ -1236,6 +1236,16 @@
2805  
2806  # ifdef MIPS
2807  #   define MACH_TYPE "MIPS"
2808 +
2809 +#   ifdef MIPS2JAVA
2810 +extern int _etext[];
2811 +extern int _end[];
2812 +#   define ALIGNMENT 4
2813 +#   define STACKBOTTOM 0x10000000
2814 +#   define DATASTART (_etext)
2815 +#   define DATAEND (_end)
2816 +#   endif /* MIPS2JAVA */
2817 +
2818  #   ifdef LINUX
2819        /* This was developed for a linuxce style platform.  Probably    */
2820        /* needs to be tweaked for workstation class machines.           */
2821 diff -ruN ../gc6.3alpha2/mips2java_mach_dep.s ./mips2java_mach_dep.s
2822 --- ../gc6.3alpha2/mips2java_mach_dep.s Wed Dec 31 19:00:00 1969
2823 +++ ./mips2java_mach_dep.s      Wed Nov 19 04:56:28 2003
2824 @@ -0,0 +1,43 @@
2825 +    .set    noreorder
2826 +    .text
2827 +    .align     2
2828 +    .globl  GC_push_regs
2829 +    .ent    GC_push_regs
2830 +GC_push_regs:
2831 +    subu $sp,$sp,24
2832 +    sw $31,20($sp)
2833 +    
2834 +    jal GC_push_one
2835 +    move $4,$1
2836 +    jal GC_push_one
2837 +    move $4,$16
2838 +    jal GC_push_one
2839 +    move $4,$17
2840 +    jal GC_push_one
2841 +    move $4,$18
2842 +    jal GC_push_one
2843 +    move $4,$19
2844 +    jal GC_push_one
2845 +    move $4,$20
2846 +    jal GC_push_one
2847 +    move $4,$21
2848 +    jal GC_push_one
2849 +    move $4,$22
2850 +    jal GC_push_one
2851 +    move $4,$23
2852 +    jal GC_push_one
2853 +    move $4,$26
2854 +    jal GC_push_one
2855 +    move $4,$27
2856 +    jal GC_push_one
2857 +    move $4,$28
2858 +    jal GC_push_one
2859 +    move $4,$29
2860 +    jal GC_push_one
2861 +    move $4,$30
2862 +    
2863 +    lw $31,20($sp)
2864 +       j $31
2865 +    addu $sp,$sp,24
2866 +    
2867 +    .end GC_push_regs
2868 diff -ruN ../gc6.3alpha2/os_dep.c ./os_dep.c
2869 --- ../gc6.3alpha2/os_dep.c     Mon Sep 22 18:49:47 2003
2870 +++ ./os_dep.c  Wed Nov 19 04:12:13 2003
2871 @@ -497,7 +497,7 @@
2872  #  if !defined(PCR) && !defined(AMIGA) && !defined(MSWIN32) \
2873        && !defined(MSWINCE) \
2874        && !defined(MACOS) && !defined(DJGPP) && !defined(DOS4GW) \
2875 -      && !defined(NOSYS) && !defined(ECOS)
2876 +      && !defined(NOSYS) && !defined(ECOS) && !defined(MIPS2JAVA) \
2877  
2878  #   if defined(sigmask) && !defined(UTS4) && !defined(HURD)
2879         /* Use the traditional BSD interface */